
var $MusicImage 	= $(".sound-left img.sound-icon1");
var $MusicTitle 	= $(".rgb-player span[title]");
var $MusicPre 		= $("[player-option] span[pre]");
var $MusicPlaying 	= $("[player-option] span[playing]");
var $MusicNext 		= $("[player-option] span[next]");
var $MusicLoop 		= $(".rgb-player span[loop]");
var $MusicCurTime 	= $(".rgb-player span[ptime]");
var $MusicCountTime = $(".rgb-player span[dtime]");
var $MusicSound 	= $(".rgb-player span[sound]");

var $MusicPlayerBar	= $(".rgb-player div[player-bar]");
var $MusicCurBar 	= $(".rgb-player div[player-bar]>div[player-curbar]");
var $MusicSeekBar 	= $(".rgb-player div[player-bar]>div[player-seekbar]");

var $MusicSoundBar		= $(".rgb-player div[sound-bar]");
var $MusicSoundCurBar 	= $(".rgb-player div[sound-bar]>div[sound-curbar]");
var $MusicSoundSeekBar 	= $(".rgb-player div[sound-bar]>span[sound-seekbar]");

function VisualizeMusice(Data)
{
    RefreshMusicView(Data);
}


function MusicSeeKView(Left)
{
    $MusicCurBar.css({"width":Left});

    var MusicPlayerBarWidth =  $MusicPlayerBar.width();
    var RefreshPosition 	= Left/MusicPlayerBarWidth;
    RefreshPosition 	= Math.ceil(CountSeek * RefreshPosition);

    if(RefreshPosition)
    {
        PlayAudio({'Event': 'SeekPosition','RefreshPosition':RefreshPosition});
    }
}

function MusicSeeKVolumeView(Left)
{
    $MusicSoundCurBar.css({"width":Left});

    var MusicSoundBarWidth =  $MusicSoundBar.width();
    var SoundLR 	= Left/MusicSoundBarWidth;
    SoundLR 	= Math.ceil(100 * SoundLR)+20;

    log(SoundLR);
    if(SoundLR)
    {
        PlayAudio({'Event': 'SetPlayerVolume','L':SoundLR,'R':SoundLR});
    }
}

function GetMusiceData(Length,ObjDoms,Color)
{
    var MusiceData = [];
    for (i = 0; i < Length; i++)
    {
        var Item = $(ObjDoms[i]);
        Item = Item.attr("name");
        MusiceData.push(Item + Color);
    }

    return MusiceData;
}

function RefreshCloudVirtual(Data)
{
    for(var j in Data)
    {
        var button 			= Data[j].button;
        var type 			= Data[j].type;
        var command 		= Data[j].command;
        var desc 			= Data[j].desc;
        var playcount 		= Data[j].playcount;
        var playdelay 		= Data[j].playdelay;
        var playtype 		= Data[j].playtype;
        var playauxiliary 	= Data[j].playauxiliary;
        var content			= Data[j].content;

        var ItemObj			=
            {
                "device":product.product,
                "button":button,
                "type":type,
                "desc":desc,
                "command":command,
                "playcount":playcount,
                "playdelay":playdelay,
                "playtype":playtype,
                "playauxiliary":playauxiliary,
                "content":content
            }

        RefreshButtonView(JSON.stringify(ItemObj));
        RefreshCurVirtualDrive(ItemObj);
    }
}

function RefreshButtonView(ButtonObj)
{
    var DataObj	= JSON.parse(ButtonObj);

    var CurObj	= $(".buttons li[name='"+DataObj.button+"']");
    CurObj.data('command',DataObj.command);
    CurObj.data('content',DataObj.content);
    CurObj.data('type',DataObj.type);
    CurObj.data('desc',DataObj.desc);
    CurObj.data('playcount',DataObj.playcount);
    CurObj.data('playdelay',DataObj.playdelay);
    CurObj.data('playtype',DataObj.playtype);
    CurObj.data('playauxiliary',DataObj.playauxiliary);

    CurObj.addClass("has");
    CurObj.find("p").html(DataObj.command);

    var $obj = $('.conf-detail li[name="'+DataObj.button+'"]');

    $obj.html(DataObj.command);
    $('.conf-detail>.detail-ul').prepend($obj).scroll(0);
}



function GetConfButtonListData()
{
    var CustomButtonList = [];
    var $buttons = $(".buttons").find("li.has");

    $buttons.each(function(index)
    {
        var ItemObj =
            {
                "device":product.product,
                "name":$(this).attr('name'),
                "command":$(this).data('command'),
                "type":$(this).data('type'),
                "content":$(this).data('content'),
                "desc":$(this).data('desc'),
                "playcount":$(this).data('playcount'),
                "playdelay":$(this).data('playdelay'),
                "playtype":$(this).data('playtype'),
                "playauxiliary":$(this).data('playauxiliary'),
            }

        if($.inArray(ItemObj,CustomButtonList)<0)
        {
            CustomButtonList[index] = ItemObj;
        }

    });

    return CustomButtonList;
}


var Draging 	= false;
var CountSeek 	= 0;
function RefreshMusicView(RefreshDataObj)
{
    CountSeek = RefreshDataObj.SeekTime;
    $MusicCurTime.html(RefreshDataObj.CurTime);
    $MusicImage.css("transform","rotate("+RefreshDataObj.Rotate+"deg)");
    $MusicPlaying.addClass("on");
    //$MusicImage.css({"background":"url("+$("ul[fm]>li.on>img").attr("src")+")","background-size":"50px 50px"});
    //MusicRefreshDrawSpectrum(RefreshDataObj);

    var RefreshLength 		=  Math.ceil(RefreshDataObj.Position/RefreshDataObj.SeekTime*100);
    RefreshLength		= RefreshLength-9;

    if(!Draging)
    {
        $MusicCurBar.css({"width":RefreshLength+"%"});
    }

    RefreshEndMusic(RefreshLength, RefreshDataObj);

}

function RefreshEndMusic(refresObj, dataObj) {

    if($MusicCountTime.html() == dataObj.CurTime) {
        $MusicPlaying.click();
        $MusicCurTime.html("00:00");
        $MusicCurBar.css({"width":0+"%"});
        $MusicImage.css("transform","rotate("+ 0 +"deg)");
    }
}

function MusicRefreshDrawSpectrum(RefreshDataObj)
{
    var LeftDrawMeter = function()
    {
        var array = RefreshDataObj.LeftChannel;
        var step = Math.round(array.length / meterNum);
        ctx.clearRect(0, 0, cwidth, cheight);
        ctx.beginPath();
        for (var i = 1; i < meterNum; i++)
        {
            var value = array[step*i];
            switch(cssn)
            {
                case 1:
                    ctx.fillStyle=gradient;
                    ctx.beginPath();
                    ctx.arc(i*50,canvas.height*.5,value*.4,0,Math.PI*2,true);
                    ctx.fill();
                    break;
                case 2:
                    ctx.fillStyle=gradient;
                    ctx.fillRect(i*10+canvas.width*.5,250,7,-value+1);
                    ctx.fillRect(canvas.width*.5-(i-1)*10,250,7,-value+1);
                    ctx.fill();
                    ctx.fillStyle=colort;
                    ctx.fillRect(i*10+canvas.width*.5,250,7,value+1);
                    ctx.fillRect(canvas.width*.5-(i-1)*10,250,7,value+1);
                    break;
                case 3:
                    moveTo(0,canvas.height*.5);
                    ctx.lineTo(i*7+canvas.width*.5,-value+canvas.height*.5);
                    ctx.strokeStyle="#f00";
                    ctx.stroke();
                    break;
            }
        }

        if($MusicCountTime.html() == RefreshDataObj.CurTime)
        {
            ctx.clearRect(0, 0, cwidth, cheight);
            return;
        }
    }

    requestAnimationFrame(LeftDrawMeter);

}

$(function ()
{
    setMessageCallback("OnRGBMusicData",function(data)
    {
        var CallbackFunc = data[0];
        eval("("+ CallbackFunc +")");
    });

    var audio = document.getElementById('audio-my');

    $(".soundicon").children(".share").click(function(e){
        $(".sharebox").toggle();
        e.stopPropagation();
    });

    $(".sharebox").find(".top").children(".close").click(function(){
        $(".sharebox").hide();
        event.stopPropagation();
    });

    $(".selectBox").find(".top").children(".close").click(function(){
        $(".selectBox").hide();
        event.stopPropagation();
    });

    $(document).click(function(e){
        var _con = $('.sharebox');
        if(!_con.is(e.target) && _con.has(e.target).length === 0){
            $('.sharebox').hide();
        }
    });

    $("div[player-option] span[playing]").on('click', function()
    {
        var path = $(this).data('path');
        var filename = $(this).data('filename');

        if($(this).hasClass("on"))
        {
            $(this).removeClass("on");
            $('.uPCount .stop_mp3').removeClass('stop_mp3');
            PlayAudio({'Event': 'PauseMusic'});
        }
        else
        {
            $(this).addClass("on");
            $('.uPCount>li[data-filename="'+filename+'"] .play_mp3').addClass('stop_mp3');

            PlayAudio({'Event': 'PlayMusic', Url: path });

            GetMusicInfo(function (InfoObj)
            {
                log(InfoObj);
                InfoObj = JSON.parse(InfoObj);
                $MusicTitle.html(InfoObj.Title);
                $MusicCountTime.html(InfoObj.Time);
            });
        }
    });

    //下一个语音
    $MusicNext.click(function () {
        var index = $MusicPlaying.data('index');
        var length = $('.uPCount>li').length;

        if (index < length - 1) {
            var li = $('.uPCount>li:eq('+ (index+1) +')');
            var filename = li.data('filename');

            playingMp3(filename);
        }

        if(index == length - 1) {
            layer.msg('已经最后一个', {
                time: 2000,
            });
            return false;
        }
    });

    //上一个语音
    $MusicPre.click(function () {
        var index = $MusicPlaying.data('index');

        if (index - 1 >= 0) {
            var li = $('.uPCount>li:eq('+ (index-1) +')');
            var filename = li.data('filename');

            playingMp3(filename);
        }

        if(index == 0) {
            layer.msg('已经第一个', {
                time: 2000,
            });
            return false;
        }
    });


    $(".rgb-player span[sound]").click(function () {
        if($(this).hasClass("on"))
        {
            $(this).removeClass("on");
            PlayAudio({'Event': 'SetMute','L':50,'R':50});
        }
        else
        {
            $(this).addClass("on");
            PlayAudio({'Event': 'SetMute','L':0,'R':0});
        }
    });

    $(".rgb-player div[player-bar]>span[player-seekbar]").dragging({},'MusicSeeKView');
    $(".rgb-player div[sound-bar]>span[sound-seekbar]").dragging({},'MusicSeeKVolumeView');


})
