var ClientDefautConf = {
    "Language": "zh",
    "Version": "V2.0",
    "Theme": 20220527,
    "NetBar": false,
    "LastDevice": "G50",
    "VerDesc": "",
    "IsChange": false,
    "CloseIndexAd": 0,
    "ControlMode":0,
    "OutputMode":0,
    "Punctuation":1,
    "VoicePrompt":1,
    "ControlModeMsg":[
        "双击\"Alt\"键开启",
        "按住\"Caps\"大写键开启",
        "按住\"鼠标滚轮\"键开启",
    ],
    "OutputModeMsg":[
        "直接输出模式",
        "兼容输出模式",
    ],
    "PunctuationMsg":[
        "无标点符号",
        "自动添加",
    ],
    "VoicePromptMsg":[
        "关闭提示",
        "打开提示",
    ],
    "DeviceList": [
        {
            "Source": "longeplay,generic",
            "Name": "语音精灵M1",
            "image": "product/longeplay/glt_Jlm1_icon.png",
            "BgImage": "",
            "Status": '1',
            "FirmwareVersion": "80860808",
            "DriveVersion": "M2.0",
        },
        {
            "Source": "longeplay,generic",
            "Name": "语音精灵M2",
            "image": "product/longeplay/longYi_M2_icon.png",
            "BgImage": "",
            "FirmwareVersion": "e5b70811",
            "DriveVersion": "V2.2",
        },
        {
            "Source": "longeplay,generic",
            "Name": "语音精灵M2",
            "image": "product/longeplay/longYi_M2_icon.png",
            "BgImage": "",
            "FirmwareVersion": "4c4a4155",
            "DriveVersion": "V2.2",
        },
        {
            "Source": "longeplay,generic",
            "Name": "语音精灵M3普通话版",
            "image": "product/longeplay/Elves1.0.png",
            "BgImage": "",
            "FirmwareVersion": "LYK-ZVC-V1.0.0",
            "DriveVersion": "V2.0",
        },
        {
            "Source": "longeplay,generic",
            "Name": "语音精灵M3双语版",
            "image": "product/longeplay/Elves1.0.png",
            "BgImage": "",
            "FirmwareVersion": "LYK-ZVC-V1.0.1",
            "DriveVersion": "V2.1",
        },
        {
            "Source": "longeplay,generic",
            "Name": "语音精灵M3全能版",
            "image": "product/longeplay/Elves1.0.png",
            "BgImage": "",
            "FirmwareVersion": "LYK-ZVC-V1.0.2",
            "DriveVersion": "V2.2",
        },
        {
            "Source"         : "longeplay",
            "Name"           : "冠龙特智能语音笔二代",
            "image"          : "product/longeplay/glt_v2_icon.png",
            "BgImage": "",
            "FirmwareVersion": "1234",
            "DriveVersion"   : "V2.2",
        }
    ],
    "LanguageList": [
        {
            "Name": '普通话',
            "value": 'cn',   //zh_cn
            "accent": 'mandarin'
        },
        {
            "Name": '英语',
            "value": 'en',   //en_us
            "accent": 'en'
        },
        // {
        //     "Name": '广东话',
        //     "value": 'cn',
        //     "accent": 'cantonese',
        //     "lock": '0'
        // },
        // {
        //     "Name": '四川话',
        //     "value": 'cn',
        //     "accent": 'lmz',
        //     "lock": '0'
        // },
        // {
        //     "Name": '山东话',
        //     "value": 'cn',
        //     "accent": 'shandongnese',
        //     "lock": '0'
        // },
        // {
        //     "Name": '天津话',
        //     "value": 'cn',
        //     "accent": 'tianjinese',
        //     "lock": '0'
        // },
        // {
        //     "Name": '南京话',
        //     "value": 'cn',
        //     "accent": 'nankinese',
        //     "lock": '0'
        // },
        // {
        //     "Name": '贵州话',
        //     "value": 'cn',
        //     "accent": 'guizhounese',
        //     "lock": '0'
        // },
        // {
        //     "Name": '日语',
        //     "value": 'ja_jp',
        //     "lock": '0'
        // },
        // {
        //     "Name": '德语',
        //     "value": 'de_DE',
        //     "lock": '0'
        // },
        // {
        //     "Name": '韩语',
        //     "value": 'ko_kr',
        //     "lock": '0'
        // },
        // {
        //     "Name": '法语',
        //     "value": 'fr_fr',
        //     "lock": '0'
        // },
        // {
        //     "Name": '俄语',
        //     "value": 'ru-ru',
        //     "lock": '0'
        // },
        // {
        //     "Name": '泰语',
        //     "value": 'th_TH',
        //     "lock": '0'
        // },
        // {
        //     "Name": '越南语',
        //     "value": 'vi_VN',
        //     "lock": '0'
        // },
        // {
        //     "Name": '西班牙语',
        //     "value": 'es_es',
        //     "lock": '0'
        // },
        // {
        //     "Name": '阿拉伯语',
        //     "value": 'ar_il',
        //     "lock": '0'
        // },
        // {
        //     "Name": '保加利亚语',
        //     "value": 'bg_bg',
        //     "lock": '0'
        // }
    ],
    "LanguageArsList": [
        {
            "Name": '中简',
            "value": 'cn'
        },
        {
            "Name": '中繁',
            "value": 'cht'
        },
        {
            "Name": '英文',
            "value": 'en'
        },
        {
            "Name": '日文',
            "value": 'ja'
        },
        {
            "Name": '韩文',
            "value": 'ko'
        },
        {
            "Name": '德文',
            "value": 'de'
        },
        {
            "Name": '俄文',
            "value": 'ru'
        },
        {
            "Name": '法文',
            "value": 'fr'
        },
        {
            "Name": '泰文',
            "value": 'th'
        },
        {
            "Name": '西班牙文',
            "value": 'es'
        },
        {
            "Name": '阿拉伯文',
            "value": 'ar'
        },
        {
            "Name": '葡萄牙文',
            "value": 'pt'
        },
        {
            "Name": '越南文',
            "value": 'vi'
        },
        {
            "Name": '南非荷兰文',
            "value": 'af'
        },
        {
            "Name": '阿姆哈拉文',
            "value": 'am'
        },
        {
            "Name": '阿塞拜疆文',
            "value": 'az'
        },
        {
            "Name": '巴什基尔文',
            "value": 'ba'
        },
        {
            "Name": '白俄罗斯文',
            "value": 'be'
        },
        {
            "Name": '别姆巴文',
            "value": 'bem'
        },
        {
            "Name": '保加利亚文',
            "value": 'bg'
        },
        {
            "Name": '比斯拉马文',
            "value": 'bi'
        },
        {
            "Name": '孟加拉文',
            "value": 'bn'
        },
        {
            "Name": '波斯尼亚文',
            "value": 'bs'
        },
        {
            "Name": '加泰罗尼亚文',
            "value": 'ca'
        },
        {
            "Name": '宿务文',
            "value": 'ceb'
        },
        {
            "Name": '科西嘉文',
            "value": 'co'
        },
        {
            "Name": '塞舌尔克里奥尔文',
            "value": 'crs'
        },
        {
            "Name": '捷克文',
            "value": 'cs'
        },
        {
            "Name": '威尔士文',
            "value": 'cy'
        },
        {
            "Name": '丹麦文',
            "value": 'da'
        },
        {
            "Name": '埃维文',
            "value": 'ee'
        },
        {
            "Name": '希腊文',
            "value": 'el'
        },
        {
            "Name": '世界文',
            "value": 'eo'
        },
        {
            "Name": '爱沙尼亚文',
            "value": 'et'
        },
        {
            "Name": '巴斯克文',
            "value": 'eu'
        },
        {
            "Name": '波斯文',
            "value": 'fa'
        },
        {
            "Name": '芬兰文',
            "value": 'fi'
        },
        {
            "Name": '菲律宾文',
            "value": 'fil'
        },
        {
            "Name": '斐济文',
            "value": 'fj'
        },
        {
            "Name": '弗里西文',
            "value": 'fy'
        },
        {
            "Name": '爱尔兰文',
            "value": 'ga'
        },
        {
            "Name": '苏格兰盖尔文',
            "value": 'gd'
        },
        {
            "Name": '加利西亚',
            "value": 'gl'
        },
        {
            "Name": '古吉拉特文',
            "value": 'gu'
        },
        {
            "Name": '豪萨文',
            "value": 'ha'
        },
        {
            "Name": '夏威夷文',
            "value": 'haw'
        },
        {
            "Name": '希伯来文',
            "value": 'he'
        },
        {
            "Name": '印地文',
            "value": 'hi'
        },
        {
            "Name": '克罗地亚文',
            "value": 'hr'
        },
        {
            "Name": '海地克里奥尔文',
            "value": 'ht'
        },
        {
            "Name": '匈牙利文',
            "value": 'hu'
        },
        {
            "Name": '亚美尼亚文',
            "value": 'hy'
        },
        {
            "Name": '印尼文',
            "value": 'id'
        },
        {
            "Name": '伊博文',
            "value": 'ig'
        },
        {
            "Name": '冰岛文',
            "value": 'is'
        },
        {
            "Name": '意大利文',
            "value": 'it'
        },
        {
            "Name": '印尼爪哇文',
            "value": 'jv'
        },
        {
            "Name": '格鲁吉亚文',
            "value": 'jy'
        },
        {
            "Name": '哈萨克文',
            "value": 'ka'
        },
        {
            "Name": '凯克其文',
            "value": 'kek'
        },
        {
            "Name": '刚果文',
            "value": 'kg'
        },
        {
            "Name": '哈萨克文（西里尔）',
            "value": 'kk'
        },
        {
            "Name": '高棉文',
            "value": 'km'
        },
        {
            "Name": '卡纳达文',
            "value": 'kn'
        },
        {
            "Name": '库尔德文',
            "value": 'ku'
        },
        {
            "Name": '吉尔吉斯文',
            "value": 'ky'
        },
        {
            "Name": '拉丁文',
            "value": 'la'
        },
        {
            "Name": '卢森堡文',
            "value": 'lb'
        },
        {
            "Name": '卢干达文',
            "value": 'lg'
        },
        {
            "Name": '林加拉文',
            "value": 'ln'
        },
        {
            "Name": '老挝文',
            "value": 'lo'
        },
        {
            "Name": '立陶宛文',
            "value": 'lt'
        },
        {
            "Name": '拉脱维亚文',
            "value": 'lv'
        },
        {
            "Name": '马尔加什文',
            "value": 'mg'
        },
        {
            "Name": '马里文',
            "value": 'mhr'
        },
        {
            "Name": '毛利文',
            "value": 'mi'
        },
        {
            "Name": '马其顿文',
            "value": 'mk'
        },
        {
            "Name": '马拉雅拉姆文',
            "value": 'ml'
        },
        {
            "Name": '蒙古文(西里尔)',
            "value": 'mn'
        },
        {
            "Name": '马拉地文',
            "value": 'mr'
        },
        {
            "Name": '山地马里文',
            "value": 'mrj'
        },
        {
            "Name": '马来文',
            "value": 'ms'
        },
        {
            "Name": '马耳他文',
            "value": 'mt'
        },
        {
            "Name": '白苗文',
            "value": 'mww'
        },
        {
            "Name": '缅甸文',
            "value": 'my'
        },
        {
            "Name": '博克马尔文',
            "value": 'nb'
        },
        {
            "Name": '尼泊尔文',
            "value": 'ne'
        },
        {
            "Name": '荷兰文',
            "value": 'nl'
        },
        {
            "Name": '挪威文',
            "value": 'no'
        },
        {
            "Name": '齐切瓦文',
            "value": 'ny'
        },
        {
            "Name": '奥罗莫文',
            "value": 'om'
        },
        {
            "Name": '奥赛梯文',
            "value": 'os'
        },
        {
            "Name": '克雷塔罗奥托米文',
            "value": 'otq'
        },
        {
            "Name": '旁遮普文',
            "value": 'pa'
        },
        {
            "Name": '帕皮阿门托文',
            "value": 'pap'
        },
        {
            "Name": '波兰文',
            "value": 'pl'
        },
        {
            "Name": '普什图文',
            "value": 'ps'
        },
        {
            "Name": '隆迪文',
            "value": 'rn'
        },
        {
            "Name": '罗马尼亚文',
            "value": 'ro'
        },
        {
            "Name": '卢旺达文',
            "value": 'rw'
        },
        {
            "Name": '信德文',
            "value": 'sd'
        },
        {
            "Name": '桑戈文',
            "value": 'sg'
        },
        {
            "Name": '僧伽罗文',
            "value": 'si'
        },
        {
            "Name": '斯洛伐克文',
            "value": 'sk'
        },
        {
            "Name": '斯洛文尼亚文',
            "value": 'sl'
        },
        {
            "Name": '萨摩亚文',
            "value": 'sm'
        },
        {
            "Name": '修纳文',
            "value": 'sn'
        },
        {
            "Name": '索马里文',
            "value": 'so'
        },
        {
            "Name": '阿尔巴尼亚文',
            "value": 'sq'
        },
        {
            "Name": '塞尔维亚文',
            "value": 'sr'
        },
        {
            "Name": '塞索托文',
            "value": 'st'
        },
        {
            "Name": '印尼巽他文',
            "value": 'su'
        },
        {
            "Name": '瑞典文',
            "value": 'sv'
        },
        {
            "Name": '斯瓦希里文',
            "value": 'sw'
        },
        {
            "Name": '泰米尔文',
            "value": 'ta'
        },
        {
            "Name": '泰卢固文',
            "value": 'te'
        },
        {
            "Name": '塔吉克文',
            "value": 'tg'
        },
        {
            "Name": '茨瓦纳文',
            "value": 'tn'
        },
        {
            "Name": '藏文',
            "value": 'ti'
        },
        {
            "Name": '提格雷文',
            "value": 'tig'
        },
        {
            "Name": '土库曼文',
            "value": 'tk'
        },
        {
            "Name": '汤加文',
            "value": 'to'
        },
        {
            "Name": '巴布亚皮钦文',
            "value": 'tpi'
        },
        {
            "Name": '土耳其文',
            "value": 'tr'
        },
        {
            "Name": '聪加文',
            "value": 'ts'
        },
        {
            "Name": '鞑靼文',
            "value": 'tt'
        },
        {
            "Name": '契维文',
            "value": 'tw'
        },
        {
            "Name": '塔希提文',
            "value": 'ty'
        },
        {
            "Name": '乌德穆尔特文',
            "value": 'udm'
        },
        {
            "Name": '乌克兰文',
            "value": 'uk'
        },
        {
            "Name": '乌尔都文',
            "value": 'ur'
        },
        {
            "Name": '维吾尔文',
            "value": 'uy'
        },
        {
            "Name": '乌兹别克文',
            "value": 'uz'
        },
        {
            "Name": '瓦瑞文',
            "value": 'war'
        },
        {
            "Name": '南非科萨文',
            "value": 'xh'
        },
        {
            "Name": '意第绪文',
            "value": 'yi'
        },
        {
            "Name": '约鲁巴文',
            "value": 'yo'
        },
        {
            "Name": '尤卡坦玛雅文',
            "value": 'yua'
        },
        {
            "Name": '广东话',
            "value": 'yue'
        },
        {
            "Name": '南非祖鲁文',
            "value": 'zu'
        }
    ],
    langObj: {
        fromName: '普通话',
        toName: '中简',
        from: 'cn',
        to: 'cn',
        accent: 'mandarin'
    },
    commands: [
        { index: 0, type: 'website', disable: true, name: '官方网站', task: 'http://www.longeplay.cn', sort: 9 },
        { index: 1, type: 'website', disable: true, name: '打开百度', task: 'http://www.baidu.com', sort: 8 },
        { index: 2, type: 'website', disable: true, name: '打开淘宝', task: 'http://www.taobao.com', sort: 7 },
        { index: 3, type: 'website', disable: true, name: '打开京东', task: 'http://www.jd.com', sort: 6 },
        { index: 4, type: 'website', disable: true, name: '打开阿里巴巴', task: 'http://www.1688.com', sort: 5 },
        { index: 5, type: 'website', disable: true, name: '打开网易', task: 'http://www.163.com', sort: 4 },
        { index: 6, type: 'website', disable: true, name: '打开搜狐', task: 'http://www.sohu.com', sort: 3 },
        { index: 7, type: 'website', disable: true, name: '打开腾讯', task: 'http://www.qq.com', sort: 2 }
    ]
};

var customer = 'OfficeEngine';   //xiberia/generic/n1/wintop 华冠/ajazz 黑爵

var website						= 'http://www.longeplay.cn';
var ApiDomain 					= 'http://client.longeplay.cn';//'http://custom.longeplay.com';//
var LocalDomain 				= 'http://client.longeplay.cn';

var $ConfXmlDom,$ConfigurationXmlDom,$DefaultFunctionXmlDom;
var DefaultFunctionPath 		= 'theme/generic/data/default.xml';

var LoadLocalUrl 				= LocalDomain +'/local/Generic';
var	MainUrl 					= LoadLocalUrl +'/client.html';
var IndexUrl					= LoadLocalUrl +'/index.html';
var SearchUrl					= LoadLocalUrl +'/search.html';
var BrandIntroductionUrl        = LoadLocalUrl +'/brand_introduction.html';
var AboutUrl                    = LoadLocalUrl +'/about.html';
var FirmwareUpdateUrl           = LoadLocalUrl +'/firmware_update.html';
var DeviceUrl					= LoadLocalUrl +'/device.html';
var ConfigureUrl 				= LoadLocalUrl +'/configure.html';
var	LoginUrl 					= LoadLocalUrl +'/login.html';
var UserUrl                     = LoadLocalUrl + '/user.html';
var MemberHomeUrl               = LoadLocalUrl +'/member_home.html';
var ConfigureChannelUrl 		= LoadLocalUrl +'/configure_channel.html';
var AutoCreateConfUrl           = LoadLocalUrl +'/auto_create_conf.html';
var BuyUrl                      = LoadLocalUrl +'/buy.html';
var PackageUrl 					= LoadLocalUrl +'/package.html';
var UpdateUrl 					= LoadLocalUrl +'/update.html';
var UpdateThemeUrl 				= LoadLocalUrl +'/upgrade_theme.html';
var VoidUrl 					= LoadLocalUrl +'/void.html';
var CertificationUrl 			= LoadLocalUrl +'/certification.html';
var NoticeUrl 			        = LoadLocalUrl +'/notice.html';
var ShareUrl 					= LoadLocalUrl +'/share.html';
var ConfShareUrl                = LoadLocalUrl +'/conf_share.html';
var MethodTipUrl                = LoadLocalUrl +'/method_tip.html';
var Method3Url                  = LoadLocalUrl +'/method3.html';
var CreateMacroUrl              = LoadLocalUrl +'/create_macro.html';//LoadLocalUrl +'/create_macro.html';
var SetToDeviceUrl              = LoadLocalUrl +'/set_to_device.html';
var UpgradeHipsterUrl           = LoadLocalUrl +'/upgrade_hipster.html';
var BuyVipUrl                   = LoadLocalUrl +'/buy_vip.html';
var PickVIPPIDUrl               = LoadLocalUrl + '/pick_VIDPID.html';
var BuyMacroUrl                 = LoadLocalUrl + '/buy_macro.html';
var BuyLangUrl                  = LoadLocalUrl + '/buy_Lang.html';

var HomeUrl                		= LoadLocalUrl +'/home.html';
var DiscoveryUrl                = LoadLocalUrl +'/discovery.html';
var HipsterUrl                	= LoadLocalUrl +'/hipster.html';
var FollowMemberUrl             = LoadLocalUrl +'/follow_member.html';
var ShareConfUrl                = LoadLocalUrl +'/share_conf.html';
var ShopsUrl                    = LoadLocalUrl +'/shops.html';
var ForceConfUrl                = LoadLocalUrl + '/force_conf.html';
var A50SetUrl                   = LoadLocalUrl + '/A50_set.html';
var GunMacroSetUrl              = LoadLocalUrl + '/gunMacro_Set.html';
var CloudDriven                 = LoadLocalUrl + '/cloudDriven.html';
var LoadDriverUrl               = LoadLocalUrl + '/loadDriver.html';
var Custom                      = LoadLocalUrl + '/custom.html';
var AnimationS                  = LoadLocalUrl + '/animation.html';
var miniAnimation               = LoadLocalUrl + '/mini_animation.html';
var activateProduct             = LoadLocalUrl + '/activate_product.html';

var ZiHaoUrl                    = 'http://www.zihaows.com';
var GyhxUrl                     = 'https://detail.tmall.com/item.htm?spm=a1z10.4-b.w5003-15724915430.1.1f621a74stuClF&id=541632605190&scene=taobao_shop&sku_properties=5919063:6536025';
var LongeplayTaobaoUrl          = 'https://shop181233897.taobao.com/';
var activatUrl                  = website + '/activat.html';

var RegisterUrl					= LoadLocalUrl +'/register.html';
var QQLoginUrl					= LoadLocalUrl +'/qqlogin.html';

var DefaultConfImage 			= LoadLocalUrl + '/image/macro_icon.png';
var DefaultCommandIcon 			= LoadLocalUrl + '/image/commandtype_defaut.png';
var DefaultUserImage 			= LoadLocalUrl + '/image/default_user_image.png';
var DefaultConfigImage 			= LoadLocalUrl + '/image/app_setting.png';


var UpdateApi					= ApiDomain+"/user/upgrade?customer="+customer+"&version="+ ClientDefautConf.Version + "&language=" + ClientDefautConf.Language;
var GetUpgradeThemePackage		= ApiDomain+"/common/get-upgrade-theme-package?customer="+customer+"&theme="+ ClientDefautConf.Theme;

var LoginApi 					= ApiDomain+'/user/login';
var	LogoutApi 					= ApiDomain+'/user/logout';
var GetUserInfo 				= ApiDomain +'/user/get-user-info';
var updateMember                = ApiDomain +'/user/update-user';
var CertificationApi			= ApiDomain+'/user/activat';
var FileUploadApi				= ApiDomain+'/user/file-upload';

var ConfSaveApi					= ApiDomain+'/user/config-save';
var ConfDeleteApi				= ApiDomain+'/user/config-delete';
var ConfListApi					= ApiDomain+'/user/config-list';
var ConfDetailApi				= ApiDomain+'/user/config-detail';
var ConfShareApi                = ApiDomain+'/user/config-share';

var ConfigureSaveApi			= ApiDomain+'/user/configure-pool-save';
var ConfigureDeleteApi			= ApiDomain+'/user/configure-pool-delete';
var ConfigurePoolDeleteAllApi	= ApiDomain+'/user/configure-pool-delete-all';


var CommandPackageSaveApi		= ApiDomain+'/user/command-package-save';
var CommandPackageDeleteApi		= ApiDomain+'/user/command-package-delete';
var CommandPackageSyncApi		= ApiDomain+'/user/command-package-sync';

var CommandPackageListApi		= ApiDomain+'/user/command-package-list';

var CommandShareApi				= ApiDomain+'/user/command-share';
var CommandSaveApi				= ApiDomain+'/user/command-save';
var SharedCommandUpdateApi      = ApiDomain+'/user/shared-command-update';
var CloudCommandSaveApi			= ApiDomain+'/user/cloud-command-save';
var CommandDeleteApi			= ApiDomain+'/user/command-delete';
var CommandListApi				= ApiDomain+'/user/command-list';
var MyCommandListApi            = ApiDomain+'/user/my-commands';
var FavoriteCommandListApi      = ApiDomain+'/user/my-favorite-commands';
var CommandDowonloadApi 		= ApiDomain+'/user/download-command';
var CommandDowonloadOneApi      = ApiDomain+'/user/download-command-one';
var CommandDetailApi			= ApiDomain+'/user/command-detail';
var ConfigDownloadApi           = ApiDomain+'/user/download-config';

var GetHipsterUserListApi		= ApiDomain+'/common/get-hipster-user-list';
var UserFavoriteApi             = ApiDomain+'/user/favorite';
var UserFavoritesdCommandApi    = ApiDomain+'/user/favoritesd-command';
var UserfollowApi     			= ApiDomain+'/user/follow';
var UserGetfollowApi     		= ApiDomain+'/user/get-follow';
/**
 * 生成扫码支付二维码  GET
 * 购买VIP 参数 month=&total
 * 购买语言 参数 action=lang&lang=xxx(gdh)&total
 * @type {string}
 */
var WechatPayApi				= ApiDomain+'/user/wechat-pay';
/**
 * 查询支付状态 GET
 * 购买VIP查询 参数 无
 * 购买语言 参数 action=lang&lang=xxx(gdh)
 * @type {string}
 */
var QueryPayStatusApi           = ApiDomain+'/user/query-pay-status';
var AutoMacroApi                = ApiDomain+'/user/auto-macro';


var CommandCheatsListView 			= ApiDomain+'/cheats';
var CommandMacroListView 			= ApiDomain+'/macro';
var CommandPackageDetail			= ApiDomain+'/command-package-detail';

var SearchApi                       = ApiDomain+'/common/search';
var IndexCategoryApi				= ApiDomain+'/common/index-category';
var IndexFocusApi					= ApiDomain+'/common/index-focus';
var IndexRecommendApi				= ApiDomain+'/common/index-category-recommend';
var ClientMenuApi                   = ApiDomain+'/common/index-client-menu';
var MacroPoolListApi			    = ApiDomain+'/common/macro-pool-list';
var MacroHotListApi				    = ApiDomain+'/common/macro-hot-list';
var GetProductList                  = ApiDomain+'/common/get-device-list';
var GetDiscoverytList               = ApiDomain+'/common/get-share-list';
var GetFinderList               	= ApiDomain+'/common/get-finder-list';
var VoidListApi                     = ApiDomain+'/common/video-list';

// var AppCategoryListApi             = ApiDomain+'/common/app-category';
// var AppListApi                     = ApiDomain+'/common/app';
// var AppFocusApi                    = ApiDomain+'/common/app-focus';
// var AppFocusDetailApi              = ApiDomain+'/common/focus-detail';
//var CommonCommandCategoryListApi   = ApiDomain+'/common/command-category';
var RecommendConfApi                = ApiDomain+'/common/recommend-conf';
var RecommendConfDetailApi          = ApiDomain+'/common/recommend-config-detail';
var RecommendCommandPackageApi      = ApiDomain+'/common/recommend-command-package';
var RecommendCommandDetailApi       = ApiDomain+'/common/recommend-command-detail';
var RecommendCommandPackageDetailApi= ApiDomain+'/common/recommend-command-package-and-detail';
var ShopListApi                     = ApiDomain+'/common/shop-list';
var GetForceConfApi                 = ApiDomain+'/common/force-conf';                   // 推荐配置，传参 model：产品型号
var GetForceConfAndDetailApi        = ApiDomain+'/common/force-conf-and-detail';       // 推荐配置，传参 model：产品型号

var ClientNoticeApi                 = ApiDomain+'/common/notice';
var UpgradeHipsterApi               = ApiDomain+'/user/upgrade-hipster';
var GetFailedHipsterApi             = ApiDomain+'/user/get-failed-hipster';
var GetClientHelpVideoApi           = ApiDomain+'/common/client-help-video';
var GMFindCommandSaveApi            = ApiDomain+'/common/find-command-save';
var IncludedInfoApi                 = ApiDomain + '/common/included-info';
var IncludeDevicesApi               = ApiDomain + '/common/include-devices';
var PickVIPPIDApi                   = ApiDomain + '/common/pick-vid-pid';
var LastBuyVipApi                   = ApiDomain + '/common/last-buy-vip';
var GetGunsApi                      = ApiDomain + '/common/get-guns';
var GetHipsterCommandsApi           = ApiDomain + '/common/hipster-commands';
var FindCommandDetailApi            = ApiDomain + '/common/find-command-detail';

var LongFromASR                     = ApiDomain + '/xun-fei/long-from-asr';     //POST {object: OSS返回的对象名称, lang: 'cn-en'}
var GetAsrResult                    = ApiDomain + '/xun-fei/get-asr-result';     //POST {object: OSS返回的对象名称, lang: 'cn-en'}
var RealTimeASR                     = ApiDomain + '/xun-fei/real-time-asr';     //实时语音转写 POST {object: OSS返回的对象名称, size: 字节数, lang: 'cn-en'}
var GetRealTimeAsrResult            = ApiDomain + '/xun-fei/get-real-time-asr-result';     //获取实时语音转写结果 POST {object: OSS返回的对象名称, lang: 'cn-en'}
var translation                     = ApiDomain + '/xun-fei/translation';     //翻译
var deleteFile                      = ApiDomain + '/xun-fei/delete-file';       //删除文件
/**
 * 实时语音转写
 * 从OSS下载切片压缩后的压缩包，加入翻译任务队列，调用语音听写（流式版）转译 POST
 * {
 * object: OSS返回的对象名称,
 * size: 字节数,
 * lang: 'zh_cn'    当前音频语种，默认 zh_cn
 * accent: 'cantonese'  中文方言，非必填，当lang为zh_cn时可选
 * }
 */
var downloadAndTranslate            = ApiDomain + '/xun-fei/download-and-translate';
/**
 * 新版文件转译接口，按文件大小分别排队
 * 从OSS下载切片压缩后的压缩包，加入翻译任务队列，调用语音听写（流式版）转译 POST
 * {
 * object: OSS返回的对象名称,
 * size: 字节数,
 * md5: 文件MD5
 * lang: 'zh_cn'    当前音频语种，默认 zh_cn
 * accent: 'cantonese'  中文方言，非必填，当lang为zh_cn时可选
 * duration: 文件时长
 * }
 */
var ossDownloadAndQueue             = ApiDomain + '/xun-fei/oss-download-and-queue';
var getIatFileResult                = ApiDomain + '/xun-fei/get-iat-file-result';   //获取文件转译结果 POST {object: OSS返回的对象名称, md5: 文件MD5值, progress: 当前进度}
var shortVoice                      = ApiDomain + '/xun-fei/short-voice';           //语音识别 POST {data 音频二进制base64字符串, lang, accent}
var addAiRecord                     = ApiDomain + '/xun-fei/add-ai-record';         //AI资源使用记录，扣除资源 POST {type 0.同声速记，1.同声传译，2.语音识别, times}
var getAiResource                   = ApiDomain + '/xun-fei/get-ai-resource';

var getGltCode                      = ApiDomain + '/client/get-glt-code';       //获取激活码 License
var sendSmsCode                     = ApiDomain + '/client/send-sms-code';      //发送短信验证码 POST {mobile}
var checkUserCode                   = ApiDomain + '/client/check-user-code';    //验证激活码是否存在 POST {code}
var activeDevice                    = ApiDomain + '/client/active-device';      //License 激活 POST {mobile, sms_code, code}
var getAuthState                    = ApiDomain + '/user/get-auth-state';       //获取微信授权登录时state 用于回调时校验
var wxLoginCallback                 = ApiDomain + '/user/wx-login-callback';    //微信授权登录后的回调
var getQrCodeTicket                 = ApiDomain + '/client/get-qr-code-ticket'; //获取微信生成的二维码
var getScanResult                   = ApiDomain + '/client/get-scan-result';    //获取用户扫码后的结果
var getActiveProducts               = ApiDomain + '/client/get-active-products';    //获取用户激活过的产品列表
var getUserCount                    = ApiDomain + '/client/get-user-count';     //获取用户总数量
var tryVip                          = ApiDomain + '/user/try-vip';              //试用VIP POST {day: 试用月数，默认试用15天}
var tryActive                       = ApiDomain + '/user/try-active';           //试用激活功能 POST { day: 试用天数 }
var getActiveCodes                  = ApiDomain + '/user/get-active-codes';     //获取用户使用过的激活码包含产品信息 GET
var unbindCode                      = ApiDomain + '/user/unbind-code';          //激活码解绑 POST code 激活码
var getVoiceCommandXml              = ApiDomain + '/user/get-voice-command-xml';    //获取用户保存在服务端的XML GET
var saveVoiceCommandXml             = ApiDomain + '/user/save-voice-command-xml';   //把客户端的XML同步保存到服务端
var getQrCodeImage                  = ApiDomain + '/client/get-qr-code-image';
var getActivationCode               = ApiDomain + '/client/get-activation-code?sn=LY';


