$(function() {
    init();
    
    $('.device-list>.list').on('click', 'li', function() {
        $(this).addClass('on').siblings().removeClass('on');

        SetCurInputDevice($(this).attr('index'));
        warn('麦克风设置成功！');
        StopTest();
        StartTest();
    });

    $('.set_list>li').click(function (e) {

        $(this).find("ul.op_list").slideToggle('fast');
    });

    $(this).find("ul.op_list>li").click(function(){

        var val =  $(this).data("val");

        $(this).parent().parent().find(".op>span:first").html($(this).html());
        $(this).parent().parent().find(".op>span:first").data("val",val);

        var ClientSet =  localStorage.getItem("ClientSet");
            ClientSet = JSON.parse(ClientSet);

            ClientSet.ControlMode   = $("#ControlMode .op>span:first").data("val");
            ClientSet.OutputMode    = $("#OutputMode .op>span:first").data("val");
            ClientSet.Punctuation   = $("#Punctuation .op>span:first").data("val");
            ClientSet.VoicePrompt   = $("#VoicePrompt .op>span:first").data("val");

            localStorage.setItem("ClientSet",JSON.stringify(ClientSet))
            InitClientSet(ClientSet.ControlMode,ClientSet.OutputMode,ClientSet.Punctuation,ClientSet.VoicePrompt);

            warn('设置成功！');

    });

    $('.volume>.progress').on('click', function(e) {
        var $ts = $(this);
        var left = $ts.offset().left;
        var ml = e.clientX - left;
        var max = $('.volume>.progress').width();

        $('.volume>.progress>.bar').css('left', ml);
        $('.volume>.progress>div').width(ml);
        $('.volume>.count').html(Math.round(ml/max * 100))
    })
    .on('mousedown', '.bar', function(e) {
        var $ts = $(this);
        var sx = e.clientX;
        var sleft = $ts.position().left;
        var max = $(this).parent().width();
        var x, left;

        $('body').on('mousemove', function(e) {
            x = e.clientX - sx;
            left = x + sleft;
            left = left > max ? max : left;
            left = left < 0 ? 0 : left;

            $ts.css('left', left);
            $('.progress>div').width(left);
            $('.volume>.count').html(Math.round(left/max * 100))
        });
        $('body').on('mouseup', function() {
            $('body').off('mousemove')
            $('body').off('mouseup')
        });
    })
    .on('click', '.bar', function(e) {
        e.stopPropagation();
    });

});

var $list = $('.histories>.list');

function init() {
	var list = getLocalObject('histories', true);

	list.forEach(function(e) {
		$list.append('<li firmware="'+e.firmware+'">' +
        '<img src="'+e.image+'" draggable="false" />' +
        '<span class="name">'+e.name+'</span>' +
        '<span class="status">未连接</span>' +
        '</li>');
	});
    
    GetDevicesList(deviceChange);
    InitView();
}

function InitView()
{
    var ClientSet =  localStorage.getItem("ClientSet");
    if(!ClientSet)
     {
         ClientSet = JSON.stringify(ClientDefautConf);
         localStorage.setItem("ClientSet",ClientSet);
     }

     ClientSet = JSON.parse(ClientSet);

     var ControlModeDom   = $("#ControlMode .op>span:first");
     var OutputModeDom   = $("#OutputMode .op>span:first");
     var PunctuationDom   = $("#Punctuation .op>span:first");
     var VoicePromptDom   = $("#VoicePrompt .op>span:first");

     ControlModeDom.html(ClientSet.ControlModeMsg[ClientSet.ControlMode]);
     OutputModeDom.html(ClientSet.OutputModeMsg[ClientSet.OutputMode]);
     PunctuationDom.html(ClientSet.PunctuationMsg[ClientSet.Punctuation]);
     VoicePromptDom.html(ClientSet.VoicePromptMsg[ClientSet.VoicePrompt]);
}

function deviceChange(data) {

    $list.find('li').removeClass('on').find('.status').html('未连接');

    var list = getLocalObject('histories', true);
    var audio = '';

    data.forEach(function(device) {

        var cDevice = ClientDefautConf.DeviceList.find(function(item) {
            return item.FirmwareVersion == device.Version;
        });

        if (cDevice) {
            var hDevice = list.find(function(item) {
                return item.firmware == cDevice.FirmwareVersion;
            });

            if (hDevice) {

                var curItem =  $list.find('[firmware="'+hDevice.firmware+'"]');
                curItem.addClass('on').find('.status').html('已连接');
                $list.prepend(curItem);
            } else {
                var e = {
                    name: cDevice.Name,
                    image: cDevice.image,
                    firmware: cDevice.FirmwareVersion
                };

                $list.append('<li class="on" firmware="'+e.firmware+'">' +
                '<img src="'+e.image+'" draggable="false" />' +
                '<span class="name">'+e.name+'</span>' +
                '<span class="status">已连接</span>' +
                '</li>');

                list.push(e);
            }            
        }
        
        if (device.Sn == 'Audio') {
            audio += '<li index="' + device.Index + '">' +
                '<span class="name">' + device.Version + '</span>' +
                '<span class="type">麦克风设备</span>' +
            '</li>';
        }
    });

    $('.devices>.device-list>.list').html(audio);

    setLocalObject('histories', list);
}

function volumeTest(volume) {

    if (!volume) return;

    volume = Math.round(volume);
    volume = volume > 13 ? volume * 2 : volume;

    $('.test>.progress>.bar').width(volume + '%');
}