$(function(){

	$('.powerby').html(ClientDefautConf.Version +"  "+ ClientDefautConf.Theme);
	$('.list').on('click', 'li', function() {
		var url = $(this).data('url');
		var main = $('#main');

		if (main.attr('src') == url || $(this).hasClass('on')) return;

		$(this).addClass('on').siblings().removeClass('on');
		$('#main').attr('src', url);

		if (url == 'driver_list.html') {
			StartTest();
		} else {
			StopTest();
		}
	});

	setTimeout(() => {
		GetDevicesList(deviceChange);
	}, 20);
	StartTest();
});

setMessageCallback("DevicesChanged",function(data)
{
	l.l('onDeviceChanged');

    setTimeout(function(){
        GetDevicesList(deviceChange);
    }, 500);
});

function deviceChange(data) {
	var func = $('#main')[0].contentWindow.deviceChange;
	var version, menu;

	data.forEach(function(element) {

		var device = ClientDefautConf.DeviceList.find(function(item){
			return item.FirmwareVersion == element.Version;
		});

		if (device) version = device.DriveVersion;
	});

	if (version && version == 'V2.2') {
		// menu = '<li class="driver on" data-url="driver_list.html">设备驱动</li>' +
		// '<li class="language" data-url="language.html">语言设置</li>' +
		// '<li class="command" data-url="command.html">语音控制电脑</li>' +
		// '<li class="translation" data-url="translation.html">音视频转文字</li>';
		menu = '<li class="driver on" data-url="driver_list.html">设备驱动</li>' +
		'<li class="language" data-url="language.html">语言设置</li>' +
		'<li class="command" data-url="command.html">语音控制电脑</li>';
	} else if (version && version == 'V2.1') {
		menu = '<li class="driver on" data-url="driver_list.html">设备驱动</li>' +
		'<li class="language" data-url="language.html">语言设置</li>';
	} else {
		menu = '<li class="driver on" data-url="driver_list.html">设备驱动</li>';
	}

	$('.list.pannel').html(menu);
    func && func(data);
}

setMessageCallback("OnAsrResults", function (data) {

	var obj = JSON.parse(data);

	main.volumeTest && main.volumeTest(obj.volume);
});