//获取设备列表
function GetDevicesList(CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'GetDevicesList'}),onSuccess: function(data)
	{
		log(eval(data));
		CallBackFuncname(eval(data));
	}});
}

/**
 * 通知设备恢复出厂设置
 *
 **/
function NotifyDeviceRest(CallBackFuncname, Version)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'RestDevice','Version':Version}),onSuccess: function(data)
	{
		log(data);
		CallBackFuncname();
	}, onError: function (data) {
            log(data)
        }});
}

/**
 * 通知设备恢复按键功能配置
 *
 **/
function NotifyDeviceButtonRest(CallBackFuncname, Version)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'RestButtonData','Version':Version}),onSuccess: function(data)
	{
		log(data);
		CallBackFuncname();
	}});
}

// 保存宏文件
function SaveFile(str, callback)
{
    var writeObj = {FuncName : 'SaveCommand', CommandString : str};

    ClientRequest({
		request : JSON.stringify(writeObj),
		onSuccess : function(data) {log(data); if (callback) callback();}
    });
}

// 加载配置文件
function LoadFile(callback)
{
    ClientRequest({
		request : JSON.stringify({FuncName : 'LoadCommand'}),
		onSuccess : function(data) { callback(data); }
    });
}

function SaveText(str, callback)
{
    var writeObj = {FuncName : 'SaveText', CommandString : str};

    ClientRequest({
        request : JSON.stringify(writeObj),
        onSuccess : function(data) {log(data); if (callback) callback();}
    });
}

//获取设备DPI值
function DeadDevicesDpiVal(DpiIndex,CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'ReadDevicesDpiVal',
												'Version' : Version,
												'DpiIndex':DpiIndex}),onSuccess: function(data){
		CallBackFuncname(data);

	}});
}

//设置WINDOWS滚轮速度
function SetWindowScrollLines(Num)
{
	ClientRequest({'request' : JSON.stringify({
	                'FuncName' : 'ModifyMouseScrollLines',
	            	'Num':Num
          	}),onSuccess: function(data) {log(data)}});
}

//设置WINDOWS加速度
function SetWindowAcceleratedSpeed(Num)
{
	 ClientRequest({'request' : JSON.stringify({
	                'FuncName' : 'ModifyWindowAcceleratedSpeed',
	            	'Num':Num
          	}),onSuccess: function(data) {log(data)}});
}

// 打开 “指定的客户端页面”
function OpenView(Url,Width,Height)
{
	ClientRequest({'request': JSON.stringify({'FuncName': 'OpenView','Url':encodeURI(Url),'Width':Width,'Height':Height})});
}

//打开网页
function OpenUrl(Url)
{
	ClientRequest({'request': JSON.stringify({'FuncName': 'OpenUrl','Url':Url})});
}

// 打开 “客户端主界面”
function LoginMain()
{
	ClientRequest({'request': JSON.stringify({'FuncName': 'LoginMain','Url':MainUrl,'width':'1000','height':'700'})});
}

// 打开 “用户登录”
function Login()
{
	ClientRequest({'request': JSON.stringify({'FuncName': 'LoginMain','Url':LoginUrl,'width':'500','height':'400'})});
}

//浏览器最小化
function MinisizeWindow()
{
	ClientRequest({'request': JSON.stringify({'FuncName': 'MinisizeWindow'})});
}

//关闭客户端判断软件设置
function CloseX()
{
	setLocalObject('openView', false);
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'CloseX'})});
}

//关闭客户端
function CloseApp()
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'CloseApp'})});
}

//关闭浏览器
function CloseWindow(Url)
{
	Url = Url || '';
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'CloseView', Url: Url}),onSuccess: function(data) {}});
}


//获取本地文件地址
function GetFileUrl($obj)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'OpenFileDialog'}),onSuccess: function(data) {

			$obj.val(data);
	}});
}


//获取本地文件夹绝对地址
function GetDirectoryUrl($obj)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'OpenDirectoryDialog'}),onSuccess: function(data) {

			$obj.val(data);
	}});
}


//通知客户端主界面
function NotifyClient(msg, PageUrl, callback)
{
	PageUrl = PageUrl?PageUrl:MainUrl;
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'SendMsgToMainBrowser','Msg' :msg,'Url':PageUrl}),onSuccess : function()
	{
		if (callback) callback();
	}});
}

//浏览器最大/最小化方法
function SetWindow(obj)
{
	var fun = $(obj).hasClass("maxsizeWindow")?'maxsizeWindow':'restoreWindow';
	var className = $(obj).hasClass("maxsizeWindow")?'restoreWindow':'maxsizeWindow';
	$(obj).attr("class",className);

	ClientRequest({'request': JSON.stringify({'FuncName': fun})});
}

//设置系统为英文输入法
function SetIME(CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'SetIME'}),onSuccess: function(data)
	{
		CallBackFuncname();
	}});
}

// 云端下载驱动完成后，解压到指定路径
function UnPackFile(fileName, unPath, callback)
{
    ClientRequest({
        request: JSON.stringify( {FuncName: 'UnPackFile', FileName: fileName, UnPath: unPath} ),
        onSuccess: function(data) { if (callback) callback(data); },
        onFail: function(data) {log(data);}
    });
}

// 客户端打开EXE
function OpenExe(fileName, failFunc)
{
    ClientRequest({
        request: JSON.stringify( {FuncName: 'OpenEXE', EXEPath: fileName} ),
        onSuccess: function(data) { log(data);},
        onFail: function(data) {log(data);if (failFunc) failFunc();}
    });
}


//打开本地文件管理器
function OpenFileDialog(CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'OpenFileDialog'}),onSuccess: function(data)
	{
			CallBackFuncname(data);
	}, onFail: function (data) {
			log(data);
        }});
}

//获取虚拟驱动映射表,空白
function GetVirtualDeviceXML(CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'GetVirtualDevice'}),onSuccess: function(data)
	{
		var xmldom				= $.parseXML(data).documentElement;
		$VirtualDriverXmlDom	= $(xmldom);
		localStorage.setItem("VirtualDriverXml",$VirtualDriverXmlDom[0].outerHTML);
		if(CallBackFuncname) CallBackFuncname();
	}});
}

//获取本地配置表,空白
function GetLocalConfXML(Device,CallBackFuncname)
{
	if (localStorage.getItem(Device))
	{
		if (CallBackFuncname) CallBackFuncname();
	}
	else
	{
		ClientRequest({
            'request' : JSON.stringify({'FuncName' : 'GetLocalConf','Name' : Device}),
            onSuccess: function(data) {
                if (data)
                {
                    var xmldom					= $.parseXML(data).documentElement;
                    var $CurConfigurationXmlDom	= $(xmldom);

                    localStorage.setItem(Device, $CurConfigurationXmlDom[0].outerHTML);

					if (Device == 'commands') {
						var $_xml = getInitCommandXml();

						localStorage.setItem(Device, $_xml[0].outerHTML);
					} else {
						var config = getConfig(Device);
					
						if (config && config.profiles) {
							var $_xml = getInitXml(Device);
							for (var index = 1; index <= config.profiles; index++) {
								localStorage.setItem(Device + '_' + index, $_xml[0].outerHTML);
							}
						}
					}					
                }

                if(CallBackFuncname) CallBackFuncname();
            },
			onFailure: (data) => {
				log(data);
			}
		});
	}
}


//获取虚拟设备映射表
function RefreshVirtualDrive(VirtualStr,CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'RefreshVirtualDrive','VirtualStr':VirtualStr}),onSuccess: function(data)
	{
		if(CallBackFuncname) CallBackFuncname();
	}});
}


function ExecuteUpdateClient(FilePath,CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'ExecuteUpdateClient','FilePath':FilePath}),onSuccess: function(data)
	{
		if(CallBackFuncname) CallBackFuncname();
	}});
}

function ExecuteUpdateFirmware(Version,FilePath,CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'ExecuteUpdateFirmware','Version':Version,'FilePath':FilePath}),onSuccess: function(data)
	{
		if(CallBackFuncname) CallBackFuncname();
	}});
}

function GetVirtualDeviceStatus(CallBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'GetVirtualDeviceStatus'}),onSuccess: function(data)
	{
		if(CallBackFuncname) CallBackFuncname(data);
	}});
}

//浏览器窗口拖动方法
function MoveWindow(obj,width,height)
{
	var startX,
		endX,
		startY,
		endY,
		isMoving = false;
		down = false;
		leave = 0;
	$(obj).mousedown(function(e)
	{
		e = e || window.e;
		isMoving = true;
		startX = e.clientX;
		startY = e.clientY;
		e.preventDefault();
		down = true;
	});
	$(obj).mousemove(function(e){
		if(isMoving)
		{
			setTimeout(function(){

				$(obj).addClass('move');
	
			},500);

			e = e || window.e;
			endX = e.clientX - startX;
			endY = e.clientY - startY;
			 e.preventDefault();
			ClientRequest({'request' : 'MoveWindow:'+endX+','+endY+','+width+','+height});
		}
	});

	$(obj).mouseup(function(e){

		setTimeout(function(){

			$(obj).removeClass('move');

		},100);

		
		isMoving = false;
		down = false;
	});

	$(obj).mouseleave(function(e) {
		isMoving = false;
		leave = e.timeStamp;
	});

	$(obj).mouseenter(function(e) {
		var time = e.timeStamp - leave;

		if (time > 30) down = false;

		if (down && time < 1) isMoving = true;
	});
}

/**
 * 通用读取XML
 * objXMLStr	STRING
 * filePath		STRING
 **/
function readXML(objXMLStr, filePath, callBackFuncname)
{
	var obj  =
	{
		"FuncName": "ReadFileToStr",
		"FilePath": filePath,
		"Xpath": "/"
	};
	ClientRequest({"request": JSON.stringify(obj),"onSuccess": function (data)
	{
		switch(objXMLStr)
		{
			case 'Configuration':
				var xmldom				= $.parseXML(data).documentElement;
				$ConfigurationXmlDom	= $(xmldom);
				$DriverXmlDom  			= $ConfigurationXmlDom.find('Mode[Index=' + CurModeIndex + ']');
				break;
			case 'Conf':
				var xmldom		= $.parseXML(data).documentElement;
				$ConfXmlDom		= $(xmldom);
				break;
			case 'Default':
				var xmldom				= $.parseXML(data).documentElement;
				$DefaultFunctionXmlDom	= $(xmldom);
			break;
		}

		//执行回调
		if(callBackFuncname) callBackFuncname();
	}, onFailure : function (ErrorCode, ErrorMsg) {
		log(ErrorCode + ':' + ErrorMsg);
	}});
}

/**
 * 通用C++写XML
 * obj	OBJECT 写入对象
 *
 **/
function CppWriteXML(url,str,callBackFuncname)
{
	ClientRequest({'request' : JSON.stringify({
		'FuncName' : 'ModifyFileFromStr',
		'FilePath':url,
		'ContentStr':str
	}),'onSuccess':function(data){log(data);

		//执行回调
		if(callBackFuncname) callBackFuncname();

	}});
}

function RGBMusicPlay(DataObj)
{
	var PlayObj =
	{
		'FuncName' : 'RGBMusicPlay',
		'Event' : DataObj.Event,
		'Url' : DataObj.Url,
		'RefreshPosition' : DataObj.RefreshPosition,
		'L' : DataObj.L,
		'R' : DataObj.R
	};

	ClientRequest( {request : JSON.stringify(PlayObj), onSuccess : function(data)
	{
		//log(data);
	}});
}

function PlayAudio(DataObj)
{
	var PlayObj =
	{
		'FuncName' : 'PlayAudio',
		'Event' : DataObj.Event,
		'Url' : DataObj.Url,
		'RefreshPosition' : DataObj.RefreshPosition,
		'L' : DataObj.L,
		'R' : DataObj.R
	};

	ClientRequest( {request : JSON.stringify(PlayObj), onSuccess : function(data)
	{
		//log(data);
	}});
}


function GetMusicInfo(CallBackFuncname)
{
	var PlayObj =
	{
		'FuncName' : 'GetMusicInfo',
	};

	ClientRequest( {request : JSON.stringify(PlayObj), onSuccess : function(data)
	{
		CallBackFuncname(data);
	}});
}

function NotifyRGBDevice(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'NotifyRGBDevice',
		'Version' : 'MHK-ZKC-V1.2.1',
		'Data' : JSON.stringify(DataObj)
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{
		//log(data);
	}});
}


function SaveVideoText(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'SaveVideoText',
		'FileName' : DataObj.FileName,
		'FileContent' :  DataObj.FileContent
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{
		//log(data);

	}});
}


function ReadVideoText(filename, callback)
{
    var NotifyObj = {
        'FuncName' : 'ReadAudioText',
        'FileName' : filename
    };

    ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
    {
        callback(data);
    }});
}


function OpenFile(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'OpenFile',
		'Url' : DataObj.Url,
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{
		//log(data);

	}});
}


function SetLang(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'SetLang',
		'lang' : DataObj.Lang,
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}



function PlayMsg(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'PlayMsg',
		'res' : DataObj.Res,
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

function SetSourceLang(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'SetSourceLang',
		'SourceLang' : DataObj.SourceLang,
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}


function SaveWord(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'SaveWord',
		'FileName' : DataObj.FileName,
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

function StartRealTime()
{
	var NotifyObj =
	{
		'FuncName' : 'StartRealTime'
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

function StopRealTime()
{
	var NotifyObj =
	{
		'FuncName' : 'StopRealTime',
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

//通知客户端是否是授权合法设备
function SetAuthorization(DataObj)
{
	var NotifyObj =
	{
		'FuncName' : 'SetAuthorization',
		'Authorization':DataObj.Authorization
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

//通知客户端相关设备的配置已修改
function NoticeModify(xml)
{
    var NotifyObj = {
        'FuncName': 'NoticeModify',
        'XmlConfigStr': xml
    };

    ClientRequest({
        request : JSON.stringify(NotifyObj),
        onSuccess : function(data) {
			log(data)
        }
    });
}

//通知客户端相关设备的宏数据已修改
function NoticeMacroModify(Ver, MacroArr, callback)
{
    var NotifyObj = {
        'FuncName': 'NoticeMacoModify',
        'Ver': Ver,
        'MacroArr': MacroArr
    };

    ClientRequest({
        request: JSON.stringify(NotifyObj),
        onSuccess: function (data) {
            log(data);
            if (callback) callback();
        }
    });
}

function GetMonitorStatus(callback, fail) {

	var NotifyObj = {
		'FuncName': 'GetMonitorStatus',
	};

	ClientRequest({
		request: JSON.stringify(NotifyObj),
		onSuccess: function (data) {
			l.l(data)
			if (callback) callback(data);
		},
	});
}


//设备监听代理开关
function SwitchMonitor(callback, fail) {
	var NotifyObj = {
		'FuncName': 'SwitchMonitor',
	};

	ClientRequest({
		request: JSON.stringify(NotifyObj),
		onSuccess: function (data) {
			log(data);
			if (callback) callback(data);
		},
		onFailure: function(data) {
			log('switch fail ' + data);
			fail && fail();
		}
	});
}

function ShowClient()
{
	var NotifyObj = {
		'FuncName': 'ShowClient',
	};

	ClientRequest({
		request: JSON.stringify(NotifyObj)
	});
}


function openFileDialogEx(CallBackFuncname)
{
	var NotifyObj =
	{
		'FuncName' : 'openFileDialogEx',
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{
			CallBackFuncname(data);
	}});
}


function PlayText(TextString)
{
	var NotifyObj =
	{
		'FuncName' : 'PlayText',
		'TextString':TextString
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}


function RealTimeInputMode(mode)
{
	var NotifyObj =
	{
		'FuncName' : 'RealTimeInputMode',
		'mode':mode
	};
	
	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

function TypingPatterns(TextString)
{
	var NotifyObj =
	{
		'FuncName' : 'TypingPatterns',
		'TextString':TextString
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

function NotifyConfRefresh(ConfStr)
{
	var NotifyObj =
	{
		'FuncName' : 'NotifyConfRefresh',
		'ConfStr':ConfStr
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

//麦克风测试开始
function StartTest(index)
{
	var NotifyObj =
	{
		'FuncName' : 'StartTest',
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}
//麦克风测试停止
function StopTest(index)
{
	var NotifyObj =
	{
		'FuncName' : 'StopTest',
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

//设置输入麦克风
function SetCurInputDevice(index)
{
	var NotifyObj =
	{
		'FuncName' : 'SetCurInputDevice',
		'index':index
	};

	ClientRequest({
		request: JSON.stringify(NotifyObj), 
		onSuccess: function(data) {
			l.l(data);
		},
		onFail: function(data) {
			l.l(data)
		}
	});
}


function StartRecording(index)
{
	var NotifyObj =
	{
		'FuncName' : 'StartRecording',
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

function StopRecording(index)
{
	var NotifyObj =
	{
		'FuncName' : 'StopRecording',
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}

//获取本地文件地址
function OpenMP3Ex(callback)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'OpenMP3Ex'}),onSuccess: function(data) {
		console.log(data);
		callback(JSON.parse(data));
	}});
}

function FirstStart(callback)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'FirstStart'}),onSuccess: function(data) {
		callback();
	}});
}

function IsFirstStart(callback)
{
	ClientRequest({'request' : JSON.stringify({'FuncName' : 'IsFirstStart'}),onSuccess: function(data) {
		callback(data);
	}});
}

function InitClientSet(ControlMode,OutputMode,Punctuation,VoicePrompt)
{
	var NotifyObj =
	{
		'FuncName' : 'InitClientSet',
		'ControlMode':ControlMode,
		'OutputMode':OutputMode,
		'Punctuation':Punctuation,
		'VoicePrompt':VoicePrompt,
	};

	ClientRequest( {request : JSON.stringify(NotifyObj), onSuccess : function(data)
	{

	}});
}