$(function() {

    $('ul.languages').on('click', 'li', function() {
        var $this= $(this);
        var langObj = localStorage.getItem('langObj');
        var type = $this.parent().attr('type');

        if ($this.hasClass('on')) return;

        langObj = langObj ? JSON.parse(langObj) : ClientDefautConf.langObj;

        if (type == 'from') {
            langObj.fromName = $this.html();
            langObj.from = $this.attr('value');
            langObj.accent = $this.attr('accent');

            $('.qi>.' + langObj.from).addClass('on').siblings().removeClass('on');
        } else {
            langObj.toName = $this.html();
            langObj.to = $this.attr('value');
        }

        setLocalObject('langObj', langObj);

        localStorage.setItem('setLang', true);

        $this.addClass('on').siblings().removeClass('on');      

        warn('设置成功！');
    });

    $('.qi>span').click(function() {
        var $this= $(this);
        var type = $(this).data('value');

        if ($this.hasClass('on')) return;


        $this.addClass('on').siblings().removeClass('on');

        var fromList = ClientDefautConf.LanguageList.filter(function(item) {
            return item.value == type;
        });
        var $fromul = $('.from>ul.languages');

        $fromul.empty();
        fromList.forEach(function(i) {
            $fromul.append('<li value="'+i.value+'" accent="'+i.accent+'">'+i.Name+'</li>');
        });

        var langObj = localStorage.getItem('langObj');

        langObj = langObj ? JSON.parse(langObj) : ClientDefautConf.langObj;

        $('.from>.languages>li[accent="' + langObj.accent + '"]').addClass('on');
    });

    initLang();
});

function initLang() {
    var langObj = localStorage.getItem('langObj');

    langObj = langObj ? JSON.parse(langObj) : ClientDefautConf.langObj;

    var fromList = ClientDefautConf.LanguageList.filter(function(item) {
        return item.value == langObj.from;
    });
    var $fromul = $('.from>ul.languages');
    var toList = ClientDefautConf.LanguageArsList;
    var $toul = $('.to>div.to_list>ul.languages');

    fromList.forEach(function(i) {
        $fromul.append('<li value="'+i.value+'" accent="'+i.accent+'">'+i.Name+'</li>');
    });

    toList.forEach(function(i) {
        $toul.append('<li value="'+i.value+'">'+i.Name+'</li>');
    });

    
    $fromul.find('[accent="' + langObj.accent + '"]').addClass('on');
    $toul.find('[value="' + langObj.to + '"]').addClass('on');
    $('.qi>.' + langObj.from).addClass('on');
}