$(function () {

    $('.maiBtn').click(function () {

        // var isConnect = parent.deviceIsConnect();
        // if(isConnect) {
        //     return;
        // }

        if (!$.cookie('logIn')) {
            OpenView(LoginUrl,425, 398);
            return;
        }

        var $area = $('#area');
        // var text = $area.val();

        var arr = [];
        $area.find('span').each(function () {
            arr.push($(this).text());
        });

        var textStr = arr.join('');

        // if (times >= 3600) {
        //     if (textStr) {
        //         layer.confirm('今日使用已超过一小时，请保存转写内容', {
        //             title: '警告'
        //         }, function (index) {
        //             SaveText(textStr, function () {
        //                 layer.msg("保存成功", {
        //                     time: 2000,
        //                 });
        //                 layer.close(index);
        //                 parent.hasTrans = false;

        //                 $('#area').find('span').remove();

        //                 if ($('#area').html() == '') {
        //                     $('#area').html('点击开始转写，这里可以立即显示转写内容').addClass('placeholder');
        //                 }
        //             });
        //         });
        //     } else {
        //         layer.msg('今日使用已达到一小时', {
        //             time: 2000,
        //         });
        //     }

        //     return;
        // }

        if (!$('.maiBtn').hasClass('mail')) {
            $area.html("").removeClass('placeholder').scrollTop(0);
            parent.hasTrans = false;

            var date = formatDate();
            var filename = 'realTimeAsrResult-' + date + '.txt';

            if ($.cookie('StartRealTime') && !$.cookie('StopRealTime')) {
                layer.confirm('检测到有未保存的读写内容，是否读取上一次转写内容，继续转写？', {
                    btn: ['确定', '取消'],
                    title: '提示'
                }, function(index) {
                    ReadVideoText(filename, function (data) {
                        $area.val(data).scrollTop(10000);
                        startRecord(filename);
                        layer.close(index);
                    });
                }, function (index) {
                    startRecord(filename, true);
                });
            } else {
                startRecord(filename, true);
            }

        } else {
            stopRecord();
            // text = $area.val();

            var arr = [];
            $area.find('span').each(function () {
                arr.push($(this).text());
            });

            var textStr = arr.join('');
            textStr && SaveText(textStr, function () {
                layer.msg("保存成功", {
                    time: 2000,
                });
                $('#area').find('span').remove();
                parent.hasTrans = false;

                if ($('#area').html() == '') {
                    $('#area').html('点击开始转写，这里可以立即显示转写内容').addClass('placeholder');
                }
            });

            clearInterval(dayTimer);
            HttpPostJson(addAiRecord, {type: 0, times: usedTimes}, function (res) {
                console.log(res);
            })
        }
    });

    $('#runner').runner({

        milliseconds: false,
        format: function millisecondsToString(milliseconds) {
            var oneHour = 3600000;
            var oneMinute = 60000;
            var oneSecond = 1000;
            var seconds = 0;
            var minutes = 0;
            var hours = 0;
            var result;

            if (milliseconds >= oneHour) {
                hours = Math.floor(milliseconds / oneHour);
            }

            milliseconds = hours > 0 ? (milliseconds - hours * oneHour) : milliseconds;

            if (milliseconds >= oneMinute) {
                minutes = Math.floor(milliseconds / oneMinute);
            }

            milliseconds = minutes > 0 ? (milliseconds - minutes * oneMinute) : milliseconds;

            if (milliseconds >= oneSecond) {
                seconds = Math.floor(milliseconds / oneSecond);
            }

            milliseconds = seconds > 0 ? (milliseconds - seconds * oneSecond) : milliseconds;

            if (hours > 0) {
                result = (hours > 9 ? hours : "0" + hours) + " : ";
            } else {
                result = "00 : ";
            }

            if (minutes > 0) {
                result += (minutes > 9 ? minutes : "0" + minutes) + " : ";
            } else {
                result += "00 : ";
            }

            if (seconds > 0) {
                result += (seconds > 9 ? seconds : "0" + seconds);
            } else {
                result += "00";
            }

            return result;
        }

    });
});

var ws, uid, dayTimer, times = $.cookie('realTimeAsrDayTimes') ? $.cookie('realTimeAsrDayTimes') : 0;
var index = 1;
var guid = parent.uid;
var usedTimes = 0;

setMessageCallback("OnRecordResults", function (data)
{
    if (data[0] == '') return;

    var params = {
        data: data[0],
        task: 'dev',
        type: 'pcm',
        uid: uid,
        index: index
    };

    if (ws && ws.readyState == 1) {
        ws.send(JSON.stringify(params));
        index++;
    }
});

function stopRecord()
{
    $('.start-taste-line').hide();
    $('#runner').runner('stop');
    $('#runner').runner('reset');
    $('.maiBtn').removeClass('mail').html('开始速记');

    if(!$('.maiBtn').hasClass("mail")) {
        parent.hasTrans = false;
    }

    if ($('#area').html() == '') {
        $('#area').html('点击开始转写，这里可以立即显示转写内容').addClass('placeholder')
    }

    ws.readyState == 1 && ws.close();
    StopRealTime();
    // clearInterval(dayTimer);

    var now = new Date();
    now.setDate(now.getDate() + 1);
    now.setHours(0);
    now.setMinutes(0);
    now.setSeconds(0);

    $.cookie('StopRealTime', 1, {expires: now});
}

function startRecord(filename, rewrite)
{
    HttpQuery(getAiResource, {}, function (res) {
        console.log(res);
        var real_time_left = res.ret.real_time_left || 0;

        if (real_time_left <= 0) {
            layer.msg('您的同声流量已用完，请充值');
            return false;
        } else if (real_time_left < 600) {
            layer.msg('您的同声流量已不足10分钟');
        }

        var now = new Date();
        now.setDate(now.getDate() + 1);
        now.setHours(0);
        now.setMinutes(0);
        now.setSeconds(0);

        $('.start-taste-line').show();
        $('#runner').runner('start');
        $('.maiBtn').addClass('mail').html('停止并保存');

        parent.hasTrans = true;
        $.cookie('StartRealTime', 1, {expires: now});
        $.removeCookie('StopRealTime');
        StartRealTime();

        if (rewrite) {
            SaveVideoText({
                FileName: filename,
                FileContent: ''
            });
        }

        nullCount = 0;
        dayTimer = setInterval(function () {
            usedTimes++;

            if (usedTimes >= real_time_left) {
                clearInterval(dayTimer);
                stopRecord();
                HttpPostJson(addAiRecord, {type: 0, times: usedTimes});
            }
        }, 1000);

        if (ws && ws.readyState < 2) return;

        ws = createWebSocket(filename, rewrite);
    });
}

function createWebSocket(filename, rewrite)
{
    var reconnect = false;
    // var url = 'ws://127.0.0.1:54751';
    var url = 'ws://realtime.longeplay.cn:8089';
    var ws = new WebSocket(url);
    var nullCount = 0;
    var iatResult = [];
    var tt;
    var pullSn = 1;
    var $area = $('#area');

    index = 1;

    if (rewrite) {
        SaveVideoText({
            FileName: filename,
            FileContent: ''
        });
    }

    ws.onopen = function (ev) {
        ws.send(JSON.stringify({ task: 'open', uid: uid }));
    };

    ws.onmessage = function (ev) {
        var data = JSON.parse(ev.data);

        if (data.task == 'connect') {

            uid = data.uid;

            ws.send(JSON.stringify({ task: 'startGroup', uid: uid, guid: guid }));

        }  else if (data.task == 'to') {

            var res = data.data;
            var status = data.status;

            iatResult[res.sn] = res;

            if (res.pgs == 'rpl') {
                res.rg.forEach(function (i) {
                    iatResult[i] = null
                });
            }

            var scrollHeight = $area.prop('scrollHeight');
            var tempStr = '';

            iatResult.forEach(function (e, i) {

                var id = pullSn + '_' + i;
                var $span = $('#' + id);
                var str = '';

                if (e != null) {
                    e.ws.forEach(function (j) {
                        j.cw.forEach(function (k) {
                            str += k.w;
                            tempStr += k.w;
                        });
                    });

                    if ($span.length == 0) {
                        $area.append('<span id="'+id+'">'+str+'</span>').scrollTop(scrollHeight + 200);
                    } else {
                        $span.html(str);
                    }
                } else {
                    $span.remove();
                }
            });

            if($.cookie('write')) {
                PlayText(JSON.stringify(res));
            }

            if (status && status == 2) {
                pullSn++;
                iatResult = [];
                tempStr = '';
            }
        }
    };

    ws.onclose = function (ev) {
        // layer.msg('长时间未说话，转写关闭');
        // StopRealTime();
        // $('.start-taste-line').hide();
        // $('#runner').runner('stop');
        // $('#runner').runner('reset');
        // $('.maiBtn').html('开始转写');
        console.log(ev);
        stopRecord();
    };

    ws.onerror = function (ev) {
        if (reconnect) return;

        reconnect = true;

        tt && clearTimeout(tt);
        tt = setTimeout(function () {
            ws = new WebSocket(url);
            reconnect = false;
        }, 2000);
    };

    return ws;
}