var $commandsDom, layIndex;

$(function () {
    // readXML('commands', 'commands.xml', syncVoiceCommand);

    GetLocalConfXML('commands', initXml);

    //语音自定义添加
    $(".command>.title>button").on('click', function () {

        // if (!$.cookie('logIn')) {
        //     OpenView(LoginUrl,425, 398);
        //     return;
        // } else {
            // OpenView(Custom, 410, 420);
        // }
        var type = $('.tab>.on').data('type');

        layIndex = layer.open({
            id: 'driver',
            type: 2,
            title: '',
            area: ['425px', '398px'],   
            skin: 'dark',
            anim: 2,
            shade: 0,
            move: false,
            resize: false,
            zIndex: 50,
            content: Custom + '?type=' + type,
            cancel: function() {
                layIndex = 0;
            }
        });

    });

    $('.tab>li').click(function() {
        var $this = $(this);
        var type = $this.data('type');

        $this.addClass('on').siblings().removeClass('on');
        syncVoiceCommand(type);        
    })
    
    $('.command-list')
        .on('click', 'li>.delIco', function () {
            // if (!$.cookie('logIn')) {
            //     OpenView(LoginUrl,425, 398);
            //     return;
            // }
            
            var id = $(this).parent().data('id');
            var type = $(this).parent().data('type');
            var pa = $(this).parent();

            layer.confirm('您确定要删除吗?', {
                // offset: ['10%', '10%'],
                btn: ['确定', '取消'],
                title: '提示'

            }, function(i) {
                pa.remove();
                $commandsDom.find(type + ">" + "key[index='" + id + "']").remove();
                localStorage.setItem('commands', $commandsDom[0].outerHTML);
                layer.close(i);
                NotifyConfRefresh($commandsDom[0].outerHTML);
            }, function(){
                console.log('取消');
            });
        })
        .on('click', '.edit:not(.disable)', function () {
            // if (!$.cookie('logIn')) {
            //     OpenView(LoginUrl,425, 398);
            //     return;
            // }

            var pa = $(this).parent();
            var id = pa.data('id');
            var type = pa.data('type');
            var name = pa.data('name');
            var task = pa.data('task');
            var Custom  = LoadLocalUrl+'/custom.html?id='+ id+'&type='+type+'&name='+encodeURI(name)+'&task='+encodeURI(task);

            // OpenView(Custom, 410, 420);

            layIndex = layer.open({
                id: 'driver',
                type: 2,
                title: '',
                area: ['425px', '398px'],   
                skin: 'dark',
                anim: 2,
                shade: 0,
                move: false,
                resize: false,
                zIndex: 50,
                content: Custom,
                cancel: function() {
                    layIndex = 0;
                }
            });
        });

});

function initXml(type, close) {
    $commandsDom = $(localStorage.getItem('commands'));

    syncVoiceCommand(type);

    if (close) {
        layer.close(layIndex);
        warn('保存成功！');
    }
}

function syncVoiceCommand(type)
{
    // if (!$.cookie("logIn")) return;

    type = type || 'website';

    var lis = "";
    var keys = $commandsDom.find(type+'>key');

    keys.sort(function (a, b) {
        var sort1 = $(a).attr('sort') * 1;
        var sort2 = $(b).attr('sort') * 1;

        return sort1 < sort2 ? 1 : -1;
    });

    keys.each(function (i, e) {
        var id = $(e).attr('index');
        var type = $(e).parent().attr('name');
        var name = $(e).attr('name');
        var task = $(e).attr('task');
        var txt  = getCommandType(type);
        var disable = e.getAttribute('disable') ? ' class="disable"' : '';

        var li = '<li'+disable+' data-id="'+ id +'" data-type="'+ type +'" data-name="'+ name +'" data-task="'+ task +'">' +
            '<span class="name">'+ name +'</span><span class="func">'+ txt +'</span><span class="command">'+ task +'</span>' +
            '<i class="edit"></i><i class="delIco"></i></li>';
        lis += li;
    });

    $('.tab>[data-type="' + type + '"]').addClass('on').siblings().removeClass('on');
    $('.command-list').html(lis);

    return;

    HttpQuery(getVoiceCommandXml, '', function (res) {

        if (res.code < 0) return;

        var xml = res.ret;

        if (!xml) {
            HttpQuery(saveVoiceCommandXml, { dom: $commandsDom[0].outerHTML })
        } else {
            var $xml = $(xml);

            $commandsDom.find('key').each(function (i, e) {
                var _this = $(e);
                var type = _this.parent().attr('name');
                var index = _this.attr('index');
                var key = $xml.find(type+'>key[index='+index+']');

                if (key.length == 0) {
                    if (!_this.attr('tag')) {
                        _this.remove();
                    } else {
                        _this.removeAttr('tag');
                    }
                } else {
                    if (_this.attr('tag')) {
                        _this.removeAttr('tag');
                    } else {
                        _this.attr('name', key.attr('name')).attr('task', key.attr('task')).attr('sort', key.attr('sort'));
                    }
                }
            });

            CppWriteXML('resources/commands.xml', $commandsDom[0].outerHTML);
            HttpQuery(saveVoiceCommandXml, { dom: $commandsDom[0].outerHTML })
        }
    });
}

function getCommandType(type)
{
    var txt = '';

    switch(type) {
        case 'website':
            txt = "网站";
            break;
        case 'folder':
            txt = "文件夹";
            break;
        case 'file':
            txt = "文件";
            break;
        case 'text':
            txt = "文本";
            break;
        case 'bat':
            txt = "批处理";
            break;
        case 'hotkey':
            txt = "热键";
            break;
        case 'system':
            txt = "系统";
            break;
    }
    return txt;
}