
var connect = false;
var onAsrStop = false;
var iatResult = [];
var tStr = "";
var sStr = "";
var pullSn = 1;
var asrWs = null;
var accent = null, lang = null, from, to, timer, time = 0, $area = $('.showView');
var stopTimer, stopTime = 0;
var CurMsg = "1.点击打字光标 2.双击\"Alt\"键开启自动模式";
var ControlMode = 0;
$(function () {

    var task = setInterval(() => {

        
        if(!onAsrStop)
            return;
            
        var lang = localStorage.getItem('setLang');
        var command = localStorage.getItem('setCommand');
        var openView = localStorage.getItem('openView');
        
        if (lang) initLanguage();
        if (command) setCommand();

        initClientSet();
        //if (!openView) clearInterval(task);

    }, 500);

    //切换缩小版
    $('.narrow').bind('click', function() {
        var accent = $("#vLang").data('accent');
        var lang = $("#vLang").data('lang');

		var name = JSON.parse(localStorage.getItem('Lanuages')) || '普通话';
        var AnimationS  = LoadLocalUrl+'/animation.html?name='+encodeURI(name)+'&accent='+accent+'&lang='+lang;

        CloseWindow(AnimationS);
        OpenView(miniAnimation, 439, 58);
    });

    $('.narrow2').bind('click', function() {
        var anObj = JSON.parse(localStorage.getItem('anObj')) || {accent: 'mandarin', lang: 'zh_cn'};
        var name = JSON.parse(localStorage.getItem('Lanuages')) || '普通话';

		var AnimationS  = LoadLocalUrl+'/animation.html?name='+encodeURI(name)+'&accent='+anObj.accent+'&lang='+anObj.lang;
        var miniAnimate = LoadLocalUrl+'/mini_animate.html?name='+encodeURI(name)+'&accent='+anObj.accent+'&lang='+anObj.lang;

        CloseWindow(miniAnimate);
		OpenView(AnimationS, 439, 300);
    });

    $('.head-img').click(function () {
        OpenView(IndexUrl, 910, 606);
        localStorage.setItem('openView', true);
        // var task = setInterval(() => {
        //     var lang = localStorage.getItem('setLang');
        //     var command = localStorage.getItem('setCommand');
        //     var openView = localStorage.getItem('openView');
            
        //     if (lang) initLanguage();
        //     if (command) setCommand();

        //     if (!openView) clearInterval(task);

        // }, 500);
    });

    $('.connect-status').click(function () {
        CloseX();
    });

    $('.set').click(function () {
       
        if($(".main").hasClass('move'))
        {
            return;
        }
        
        OpenView(IndexUrl, 910, 606);
        localStorage.setItem('openView', true);

        // var task = setInterval(() => {
        //     var lang = localStorage.getItem('setLang');
        //     var command = localStorage.getItem('setCommand');
        //     var openView = localStorage.getItem('openView');

        //     if (lang) initLanguage();
        //     if (command) setCommand();

        //     if (!openView) clearInterval(task);

        // }, 500);
    });

    var countdown = 0;
    $('.volume,.showView').click(function() {

        if($(".main").hasClass('move') || (countdown > 0))
        {
            return;
        }

        countdown = 3;
        var isStart = $('.stop').hasClass('on');
        if (isStart) {
            StopRecording();
            $('.stop').removeClass('on');            
        } else {      
            
            ControlMode = 0;
            StartRecording();
            $('.stop').addClass('on');
        }

        var task = setInterval(() => {

            countdown--;
            if (countdown == 0) clearInterval(task);
    
        }, 500);

    });
           
    $('.network a').click(function() {

        $('.no-connect').hide();
        $('.connected').show();
        $('.connect-status').addClass('connect');

        RecordRest();
    });

    init();
});

function init()
{
    initLanguage();
    webSocketInit();
    GetDevicesList(deviceChange);
    GetLocalConfXML('commands', initXml);
    HttpQuery(GetUpgradeThemePackage, '', showUpdateThemeView);

    initClientSet();
}

function initClientSet()
{
   var ClientSet =  localStorage.getItem("ClientSet");
   if(!ClientSet)
    {
        ClientSet = JSON.stringify(ClientDefautConf);
        localStorage.setItem("ClientSet",ClientSet);
    }
    
    ClientSet = JSON.parse(ClientSet);
    ControlMode = ClientSet.ControlMode;

    console.log(ControlMode);

    InitClientSet(ClientSet.ControlMode,ClientSet.OutputMode,ClientSet.Punctuation,ClientSet.VoicePrompt);
    CurMsg = "1.点击打字光标 2." + ClientSet.ControlModeMsg[ClientSet.ControlMode];
    $(".showView").html(CurMsg);
}


function RecordRest()
{
    var isStart = $('.stop').hasClass('on');

    if (isStart) {
        StopRecording();
        setTimeout(() => {
            
            StartRecording();

        },500);
    } 
}
function deviceChange(data)
{
    connect = false;

    data.forEach(function (device) {
        var version = device.Version;
        if (version) {
            ClientDefautConf.DeviceList.forEach(function (item) {
                if (item.FirmwareVersion === version) {
                    connect = true;

                    $('.model-image>img').attr('src', item.image);
                    //$('.model-name').html(item.Name);
                    $('.model-name').html("1.按鼠标滚轮键(或右Alt) | 2.松开自动打字");       
                }
            });
        }
    });

    if (asrWs && asrWs.ws.readyState == asrWs.ws.CLOSED) {
        $('.network').css('display', 'flex');
        $('.no-connect, .connected').hide();
    } else {
        if (!connect) {
            $('.no-connect').css('display', 'flex');
            $('.connected').hide();
            $('.connect-status').removeClass('connect');
        } else {
            $('.no-connect').hide();
            $('.connected').show();
            $('.connect-status').addClass('connect');

            RecordRest();
        }
    }
}

function initXml(type, close) {
    $commandsDom = $(localStorage.getItem('commands'));

    NotifyConfRefresh($commandsDom[0].outerHTML);
}

function showUpdateThemeView(data)
{
    if (data.code === 0) {
        OpenView(UpdateThemeUrl, 500, 230);
    }
}

setMessageCallback("DevicesChanged",function(data)
{
    setTimeout(function(){
        GetDevicesList(deviceChange);
    },500);
});

function initLanguage()
{
    localStorage.removeItem('setLang');

    var langObj = localStorage.getItem('langObj');

    langObj = langObj ? JSON.parse(langObj) :  ClientDefautConf.langObj;

    var fromName, toName, accent;

    if (langObj) {
        fromName = langObj.fromName || '普通话';
        toName = langObj.toName || '中简';
        from = langObj.from || 'cn';
        to = langObj.to || 'cn';
        accent = langObj.accent || 'mandarin';
    } else {
        fromName = '普通话';
        toName = '中简';
        from = 'cn';
        to = 'cn';
        accent = 'mandarin';
    }

    if (fromName == '普通话') fromName = '中';
    if (fromName == '英语') fromName = '英';

    $('.from').html(fromName);
    $('.to').html(toName);
    $('.lang').html(fromName + '/' + toName + ' >');

    SetLang({ Lang: from +"-"+ to});
    SetSourceLang({ SourceLang: accent });
}

function webSocketInit()
{
    asrWs = new IatWebSocket(true, 'asr', function () {
        $('.network').hide();
        l.l('connect');
        if (connect) {
            $('.connected').show();
            $('.no-connect').hide();
        } else {
            $('.connected').hide();
            $('.no-connect').css('display', 'flex');
        }
    }, function (data) {

        var str = $(".showView").html();
        if (str == "先点击打字位置，再开始讲话...")
        {
            $(".showView").html("");
        }

        if (onAsrStop) return;

        var res = data.data;
        var status = data.status;
        var bg = 0;
        var str = '';

        //按住说话模式
        if(ControlMode != 0 )
        {
            iatResult[res.sn] = res;
            if (res.pgs == 'rpl') {
                res.rg.forEach(function (i) {
                    iatResult[i] = null
                });
            }
    
            var scrollWidth = $area.prop('scrollWidth');
            var tempStr = '';
    
            iatResult.forEach(function (e, i) {
    
                var id = pullSn + '_' + i;
                var $span = $('#' + id);
                var str = '';
    
                if (e != null) {
                    e.ws.forEach(function (j) {
                        j.cw.forEach(function (k) {
                            str += k.w;
                            tempStr += k.w;
                        });
                    });
    
                    if ($span.length == 0) {
                        $area.append('<span id="'+id+'">'+str+'</span>').scrollLeft(2000);
                    } else {
                        $span.html(str);
                    }
                } else {
                    $span.remove();
                }
            });
    
            if (status && status == 2) {
                pullSn++;
                iatResult = [];
                tempStr = '';
            }
        }
        //点击说话模式
        else
        {
            res.ws.forEach(function (j)
            {
                bg = j.bg;
                j.cw.forEach(function (k) {
                    str += k.w;
                });
            });
    
            sStr = str;
    
            $(".showView").html(str).scrollLeft(2000);
            //长时间为空，自动关闭
            if (sStr != '') {
                clearInterval(stopTimer);
                stopTime = 0;
                stopTimer = setInterval(() => {
                    stopTime++;
    
                    if (stopTime == 30) {
                        clearInterval(stopTimer);
                        StopRecording();
                    }
                }, 1000);
            }

            if (bg > 0 && (accent === 'mandarin' || accent === 'en')) {

                if (to != 'cn' || from != to) {
                    TranslationTo(sStr);
                } else {
                    TypingPatterns(sStr);
                }
                setTimeout(function(){
                    $(".showView").html("");
    
                },100);
               
                sStr = "";
                tStr = "";
    
            } else if (['。', '！', '？', '.', '?', '!'].indexOf(sStr) >= 0) {
    
                TranslationTo(sStr);
                $(".showView").html("");
                sStr = "";
                tStr = "";            
            }
        }

    }, function() {
        $('.network').css('display', 'flex');
        $('.no-connect').hide();
        $('.connected').hide();
        // StopRecording();
        // asrStop();
    });
}

function TranslationTo(msg)
{
    if (!msg) return;

    var transVar =
        {
            text: msg,			//待翻译文本
            from: from,		    //源语种
            to: to			    //目标语种
        };

    CloudQuery(translation, transVar, function (res)
    {
        var DataObj = {
            Res: res.trans_result.dst
        };

        TypingPatterns(res.trans_result.dst);
        // PlayMsg(DataObj);
    })
}

function formatTime()
{
    var s = time % 60;
    var m = Math.floor(time / 60);

    $('.time').html(m.formatTwo() + ':' + s.formatTwo());
}

function asrStop(data)
{
    if (!connect) return;
    // clearInterval(asrWs.sendMuteData);
    asrWs.pullSn++;
    clearInterval(timer);
    time = 0;    


    $area.find('span').each(function(i, span) {
        sStr += span.innerHTML;
    });

    if (to != 'cn' || from != to) {
        TranslationTo(sStr);
    } else {
        TypingPatterns(sStr);
    }
    
    tStr = "";
    onAsrStop = true;
    iatResult = [];
    $('.time').html('00:00');
    $(".showView").html(CurMsg);
    $(".openit").show();
    $('.start-taste-line').hide();
    $('#viewId').show();
    $('.stop').removeClass('on');
    $('.volume>.bar').height(0);

    // var from = $('#vLang');
    var anObj = JSON.parse(localStorage.getItem('langObj'));

    if (!anObj || anObj == null) {
        accent = 'mandarin';
        lang = 'zh_cn';
    } else {
        accent = anObj.accent;
        lang = anObj.lang;
    }

    lang = lang === 'cn' ? 'zh_cn' : (lang === 'en' ? 'en_us' : lang);

    var params = {
        task: 'asr',
        type: 'pcm',
        uid: asrWs.uid,
        pullSn: asrWs.pullSn,
        index: asrWs.index,
        lang: lang,
        accent: accent,
        data: ''
    };
    asrWs.send(JSON.stringify(params));
    asrWs.index++;

    sStr = "";
    tStr = "";

    initClientSet();
}

var lowCount = 0;
setMessageCallback("OnAsrResults", function (data) {

    if (data[0] === '' || !connect) return;
    var readyState = asrWs.ws.readyState;
    if (readyState == asrWs.ws.CLOSED)
    {
        asrWs.reConnect();
        StopRecording();
        return;
    }
    if (asrWs.sendMuteData) {
        clearInterval(asrWs.sendMuteData);
    }

    // var from = $('#vLang');
    var anObj = JSON.parse(localStorage.getItem('langObj'));

    if (!anObj || anObj == null) {
        accent = 'mandarin';
        lang = 'zh_cn';
    } else {
        accent = anObj.accent;
        lang = anObj.lang;
    }

    lang = lang === 'cn' ? 'zh_cn' : (lang === 'en' ? 'en_us' : lang);

    var dataObj = JSON.parse(data[0]);
    var volume = Math.round(dataObj.volume);

    if (volume > 12) {
        lowCount = 0;
    } else {
        lowCount ++;
    }
    volume = volume > 12 ? volume * 2 : volume;

    $('.volume>.bar').height(Math.round(volume / 10) / 8 * $('.volume').height());

    if (lowCount > 200) {
        lowCount = 0;
        StopRecording();
        return;
    }

    var params = {
        task: 'asr',
        type: 'pcm',
        uid: asrWs.uid,
        pullSn: asrWs.pullSn,
        index: asrWs.index,
        lang: lang,
        accent: accent,
        data: dataObj.data
    };
    asrWs.send(JSON.stringify(params));
    asrWs.index++;
});

setMessageCallback("OnAsrStart", function (data) {
    if (!connect) return;
    // clearInterval(asrWs.sendMuteData);
    asrWs.pullSn++;

    onAsrStop = false;
    $(".showView").html("先点击打字位置，再开始讲话...").show();
    $('.stop').addClass('on');
    $(".openit").hide();
    $('.start-taste-line').show();
    $('#viewId').hide();

    timer = setInterval(function () {
        time++;
        formatTime();
    }, 1000);
});

setMessageCallback("OnAsrStop", asrStop);

setMessageCallback("OnBrowserMsg",function(msg)
{
    var CallbackFunc = msg[0];

    eval("("+CallbackFunc+")");
});