var text = "";
var id = "";
var type = '';
var name = "";
var task = "";
var nType = "";

function SaveCommands(saveObj)
{
    var now = parseInt(Date.now() / 1000);
    var last = $commandsDom.find(saveObj.nType + ">key:last").attr('index');
    var index = parseInt(last ? last : -1) + 1;

    if (!saveObj.id) 
    {
        $commandsDom.find(saveObj.nType).append('<key index="'+index+'" name="'+saveObj.name+'" task="'+saveObj.task+'" sort="'+now+'" tag="new"></key>');
    }
    else
    {
        if (saveObj.type != saveObj.nType) 
        {
            $commandsDom.find(saveObj.type + ">key[index='" + saveObj.id + "']").remove();
            $commandsDom.find(saveObj.nType).append('<key index="'+index+'" name="'+saveObj.name+'" task="'+saveObj.task+'" sort="'+now+'" tag="new"></key>');
        }
        else
        {
            $commandsDom.find(saveObj.type + ">key[index='" + saveObj.id + "']").attr('name', saveObj.name).attr('task', saveObj.task).attr('sort', now).attr('tag', 'update');
        }
    }

    localStorage.setItem('commands', $commandsDom[0].outerHTML);
    NotifyConfRefresh($commandsDom[0].outerHTML);
    parent.initXml && parent.initXml(saveObj.nType, true);

}

$(function ()
{
    GetLocalConfXML('commands', initXml);

    var params = getQueryStringArgs();

    name = decodeURI(params.name);
    task = decodeURI(params.task);
    id = params.id;
    type = params.type;

    nType = type = type || 'website';

    $(".tab_content").hide();
    $('.nav li a[data-type=' + type + ']').addClass("on").show();
    $('.tab_content[data-type=' + type + ']').show();

    $("ul.nav li a").on('click', function() {
        $("ul.nav li a").removeClass("on");
        $(this).addClass("on");
        $(".tab_content").hide();
        var activeTab = $(this).attr("href");
        $(activeTab).show();
        return false;
    });

    $("ul.nav li a").click(function() {
        nType = $(this).attr('data-type');
    });

    $(".nav li a").each(function (i, e) {
        var CurType = $(this);
        var tab = CurType.attr('href');

        if (CurType.data('type') == type) {

            if(!id || !name) {
                return;
            }

            $(tab).find('input[name="voice"]').val(name);
            $(tab).find('input[name="content"]').val(task);

            if(type == "system") {
                text = task;
                $("#system").find("li[data-task='" + task + "']").addClass("active");
            }

            if(type == "text") {
                $("#textarea5").val(task);
            }
        }
    });


    $("#system").on("click", 'li', function()
    {
        var CurObj = $(this);

        // CurObj.toggleClass("active");
        CurObj.addClass("active").siblings().removeClass('active');

        if (CurObj.hasClass("active")) {
            text = CurObj.attr('data-task');
        }
    });

    //浏览获取文件夹名称
    $('#selectBrowse').change(function () {
        var value = $("#tab2").find('input[name="content"]');
        value.val( $(this).val());
    });


    //浏览获取文件名称
    $('#selectFile').click(function () 
    {
    	var value = $("#tab3").find('input[name="content"]');
    	openFileDialogEx(function(path){    		
        	value.val(path);
        });
    });


    //网站添加
    $('#tabSubmit1').on('click', function () {
        var tab1 = $("#tab1");
        var name = tab1.find('input[name="voice"]').val();
        var task = tab1.find('input[name="content"]').val();
        var matcht = /^(https?:\/\/)([0-9a-z.]+)(:[0-9]+)?([/0-9a-z.]+)?(\?[0-9a-z&=]+)?(#[0-9-a-z]+)?/i;

        if (!name) {
            layer.msg("输入不为空");
            return;
        }

        if (!matcht.test(task)) {
            warn('网址格式不正确!')
            return;
        }

        var flag = false;
        $commandsDom.find('key').each(function (i, e) {
            var _this = $(e);
            var $name = _this.attr('name');
            var index = _this.attr('index');

            if(name == $name && id != index) {
                layer.msg('存在相同的语音命令', { time: 2000 });
                flag = true;
            }
        });
        if (flag) { return; }

        saveObj = { id: id, name: name, type: type, task: task, nType: nType };

        SaveCommands(saveObj);       
    });


    //文件夹
    $('#tabSubmit2').on('click', function () {
        var tab2 = $("#tab2");
        var name = tab2.find('input[name="voice"]').val();
        var task = tab2.find('input[name="content"]').val();

        if(!name || !task) {
            layer.msg("输入不为空");
            return;
        }

        var flag = false;
        $commandsDom.find('key').each(function (i, e) {
            var _this = $(e);
            var $name = _this.attr('name');
            var index = _this.attr('index');

            if(name == $name && id != index) {
                layer.msg('存在相同的语音命令', { time: 2000 });
                flag = true;
            }
        });
        if (flag) { return; }

        saveObj = { id: id, name: name, type: type, task: task, nType: nType };

        SaveCommands(saveObj);
    });


    //文件
    $('#tabSubmit3').on('click', function () {
        var tab3 = $("#tab3");
        var name = tab3.find('input[name="voice"]').val();
        var task = tab3.find('input[name="content"]').val();

        if(!name || !task) {
            layer.msg("输入不为空");
            return;
        }

        var flag = false;
        $commandsDom.find('key').each(function (i, e) {
            var _this = $(e);
            var $name = _this.attr('name');
            var index = _this.attr('index');

            if(name == $name && id != index) {
                layer.msg('存在相同的语音命令', { time: 2000 });
                flag = true;
            }
        });
        if (flag) { return; }

        saveObj = { id: id, name: name, type: type, task: task, nType: nType };
        
        SaveCommands(saveObj);
    });


    //系统功能
    $('#tabSubmit4').on('click', function () {
        var tab4 = $("#tab4");
        var name = tab4.find('input[name="voice"]').val();
        var task = text;

        if(!name || !task) {
            layer.msg("请检查输入内容");
            return;
        }

        var flag = false;
        $commandsDom.find('key').each(function (i, e) {
            var _this = $(e);
            var $name = _this.attr('name');
            var index = _this.attr('index');

            if(name == $name && id != index) {
                layer.msg('存在相同的语音命令', { time: 2000 });
                flag = true;
            }
        });
        if (flag) { return; }

        saveObj = { id: id, name: name, type: type, task: task, nType: nType };

    });


    //文本
    $('#tabSubmit5').on('click', function () {
        var tab5 = $("#tab5");
        var name = tab5.find('input[name="voice"]').val();
        var task = $("#textarea5").val();

        if(!name || !task) {
            layer.msg("请检查输入内容");
            return;
        }

        var flag = false;
        $commandsDom.find('key').each(function (i, e) {
            var _this = $(e);
            var $name = _this.attr('name');
            var index = _this.attr('index');

            if(name == $name && id != index) {
                layer.msg('存在相同的语音命令', { time: 2000 });
                flag = true;
            }
        });
        if (flag) { return; }

        saveObj = { id: id, name: name, type: type, task: task, nType: nType };

        SaveCommands(saveObj);
    });

    $('.a-browse.folder').click(function () {
        GetDirectoryUrl($(this).prev());
    })

});

function initXml() {
    $commandsDom = $(localStorage.getItem('commands'));
}