$.fn.extend({
    dragging: function (options, CallBackFunc) {
        var isDrag = function (ele, options) {
            var offset = 0, isDraging = false, value = 50, obj = ele, parameters = options;
            obj.mousedown(function (e) {
                e = e || window.e;
                var cc = obj.position().left;
                isDraging = true;

                startX = parameters.Type == 'left' ? e.clientX - (obj.position().left) : e.clientX - (obj.width());
                valueX = parameters.ValueObj.position.left;
                obj.addClass("on");
                e.preventDefault();

            });

            $(document).mousemove(function (e) {
                if (isDraging) {
                    e = e || window.e;
                    offset = e.clientX - startX;

                    var maxWidth = typeof parameters.assist == 'undefined' && parameters.Type == 'left' ? obj.parent().width() - obj.outerWidth() : obj.parent().width();
                    //var maxWidth = parameters.Type == 'left' ? obj.parent().width() - obj.outerWidth() : obj.parent().width();

                    if (offset <= 1) {
                        offset = 1;
                    }
                    else if (offset >= maxWidth) {
                        offset = maxWidth;
                    }

                    var Seek = Math.round(Math.round(offset / parameters.Total * 1000) / 100);
                    if (parameters.assist) {
                        var offWidth = parameters.assist.position().left;
                        offset = offset <= offWidth ? offWidth + 1 : offset;
                        offset = offset >= 330 ? 330 : offset;

                        parameters.assist.css('width', offset - offWidth);
                        Seek = Seek - 4;
                        Seek = Seek <= 0 ? 1 : Seek;
                    }

                    var offLeft = parameters.assist ? 1 : 0;
                    var maxDpi  = parameters.maxDpi;
                    var minDpi  = parameters.minDpi || 50;

                    parameters.ValueObj.css('left', offset - offLeft);
                    obj.css(parameters.Type, offset);
                    if (parameters.ValueObj.hasClass("dv")) {
                        var DpiValue = minDpi + parseInt((offset / parameters.Total) * (maxDpi-minDpi) / 50) * 50;
                        parameters.ValueObj.html(DpiValue);

                    }
                    else {
                        var Percentum = Seek <= 0 ? 1 : Seek;
                        parameters.ValueObj.html(Percentum);
                    }

                }
            });

            $(document).mouseup(function () {
                if (isDraging) {
                    if (CallBackFunc) window[CallBackFunc]();
                    obj.removeClass("on");
                    isDraging = false;
                }
            });

        };

        return $(this).each(function () {
            isDrag($(this), options);
        });
    }
});