var Debug = true;
var sInfo;
window.l = window.console
l.l = l.log

window.log = function(StrData)
{
	if (Debug)
	{
		console.log(StrData);
	}
}

function getConfig(device)
{
    return ClientDefautConf.DeviceList.find((item) => item.model == device);
}

function changeLanguage($scope)
{
    var language = localStorage.getItem('language');
	var lang = language ? JSON.parse(language).value : (typeof ClientDefautConf != 'undefined' ? ClientDefautConf.Language : 'zh');//ClientDefautConf.Language;//$.cookie("language") ? $.cookie("language") : navigator.language;

	setLanguage(lang);

	var path = typeof(prefix) !== 'undefined' ? prefix+'language/' : 'language/';

	$("body").attr("language", lang);

	jQuery.i18n.properties({// 加载资浏览器语言对应的资源文件
		name : 'messageResources', // 资源文件名称
		language : lang, //默认为英文当改为zh_CN时页面显示中文语言
		path : path, // 资源文件路径
		mode : 'map', // 用 Map 的方式使用资源文件中的值
		cache:true,
		callback : function()
		{
			// 加载成功后设置显示内容
			// languageObj.info = $.i18n.map;
			sInfo = $.i18n.map;
			$scope.info = $.i18n.map;
		}
	});	
}

function setLanguage(language)
{
	
}

/**
 * 初始化默认配置
 * @returns xml
 */
 function getInitXml(device) {
	let $CurConfigurationXmlDom = $(localStorage.getItem(device));						
	let config = getConfig(device);

	if (config.firmware) 
		$CurConfigurationXmlDom.find('[name="UsbId"]').attr('value', config.firmware);

	if (config.version.substr(0, 1) == 'M' && config.dpi && config.dpi.length > 0) {
		$CurConfigurationXmlDom.find('dpi').attr('count', config.dpi.length)
			.attr('current', config.dpiCurrent).attr('max', config.dpiMax);

		for (let index = 0; index < config.dpi.length; index++) {
			const element = config.dpi[index];
			
			$CurConfigurationXmlDom.find('dpi>[name="Dpi' + index + '"]').attr('x', element).attr('y', element);
		}
	}

	if (config.lightMode) {
		$CurConfigurationXmlDom.find('[name="LightMode"]').attr('value', config.lightMode);
	}

	if (config.lightBrightness) {
		$CurConfigurationXmlDom.find('[name="LightBrightness"]').attr('value', config.lightBrightness);
	}

	if (config.sleep) {
		$CurConfigurationXmlDom.find('sleep').attr('value', config.sleep);
	}

	return $CurConfigurationXmlDom;
}

function getInitCommandXml() {
	var $CurConfigurationXmlDom = $(localStorage.getItem('commands'));
	
	ClientDefautConf.commands.forEach(function(command) {
		var key = $CurConfigurationXmlDom.find(command.type + '>key[name="' + command.name + '"]');

		if (key.length > 0) {
			key.attr(command);
		} else {
			key = '<key index="' + command.index + '" name="' + command.name + '" task="' + command.task + '" task="' + command.task + '" />';
			$CurConfigurationXmlDom.find(command.type).append(key);
		}
	});

	return $CurConfigurationXmlDom;
}

function NotifySaveXml() {
	$xml.removeAttr('action');
	$xml.find('[action]').removeAttr('action');

	localStorage.setItem(device + '_' + current, $xml[0].outerHTML);
}


String.prototype.format = function () {
	if (arguments.length == 0) return this;
	for (var s = this, i = 0; i < arguments.length; i++)
		s = s.replace(new RegExp("\\{" + i + "\\}", "g"), arguments[i]);
	return s;
};

String.prototype.firstToUpCase = function() {
	return this.length == 0 ? '' : this.replace(this[0], this[0].toUpperCase());
}

String.prototype.firstToLowerCase = function() {
	return this.length == 0 ? '' : this.replace(this[0], this[0].toLowerCase());
}

function warn(msg, callback) {
	layer.msg(msg, { offset: '200px' }, callback);
}

function Hotkey(e,obj)
{
	// SetIME(function(){

		var hotKeyStr = getHotkey(e);
		if(hotKeyStr) $(obj).val(hotKeyStr);

		return;
	// });
}

function twoHotKey(e,obj)
{
    // SetIME(function(){

        var hotKeyStr = getTwoHotKey(e);
        if(hotKeyStr) $(obj).val(hotKeyStr);

        return;
    // });
}

function Gkey(e,obj)
{
	// SetIME(function(){

		var KeyObj 	= getKeyObj(e);
		var keyStr = KeyObj.keyName;
		if(keyStr)
		{
			$(obj).attr("data-name",keyStr);
			$(obj).attr("data-task",keyStr);
			$(obj).val(keyStr);
		}

		return;
	// });
}

var hot = [];
function getHotkey(e)
{
	var KeyObj = getKeyObj(e);

	if(hot.length ==0 && KeyObj.keyCode != 16 && KeyObj.keyCode != 17 && KeyObj.keyCode != 18 )
	{
		return KeyObj.keyName;
	}

	if($.inArray(KeyObj.keyName,hot) < 0 && hot.length <4)
	{
		hot.push(KeyObj.keyName);
		return hot.join("+");
	}

	hot = [];
	return "";
}

function getTwoHotKey(e)
{
    var KeyObj = getKeyObj(e);
    var code = KeyObj.keyCode;
    var name = KeyObj.keyName;

    if (hot.length === 0 && code !== 16 && code !== 17 && code !== 18 ) {
        return name;
    }

    if (code === 16 || code === 17 || code === 18) {
        hot.forEach(function (key, i) {
            if (key === 'Ctrl' || key === 'Alt' || key === 'Shift') {
                hot.splice(i);
            }
        });
    }

    if ($.inArray(name, hot) < 0 && hot.length < 2) {
        hot.push(name);
        return hot.join("+");
    }

    hot = [];
    return "";
}

function GetMacroMach(Content)
{
	return Content.match(/([^()]*)\([^()]*\)/g);
}

function getKeyObj(e)
{
	var delayTime = time == 0 ? 0 : Math.round(e.timeStamp - time);
	time = e.timeStamp;

	var keyName;

	switch(e.keyCode)
	{
		case 96:
			keyName = '0';
			break;
		case 97:
			keyName = '1';
			break;
		case 98:
			keyName = '2';
			break;
		case 99:
			keyName = '3';
			break;
		case 100:
			keyName = '4';
			break;
		case 101:
			keyName = '5';
			break;
		case 102:
			keyName = '6';
			break;
		case 103:
			keyName = '7';
			break;
		case 104:
			keyName = '8';
			break;
		case 105:
			keyName = '9';
			break;
		case 112:
			keyName = 'F1';
			break;
		case 113:
			keyName = 'F2';
			break;
		case 114:
			keyName = 'F3';
			break;
		case 115:
			keyName = 'F4';
			break;
		case 116:
			keyName = 'F5';
			break;
		case 117:
			keyName = 'F6';
			break;
		case 118:
			keyName = 'F7';
			break;
		case 119:
			keyName = 'F8';
			break;
		case 120:
			keyName = 'F9';
			break;
		case 121:
			keyName = 'F10';
			break;
		case 122:
			keyName = 'F11';
			break;
		case 123:
			keyName = 'F12';
			break;
		case 9:
			keyName = 'Tab';
			break;
		case 16:
			keyName = 'Shift';
			break;
		case 17:
			keyName = 'Ctrl';
			break;
		case 18:
			keyName = 'Alt';
			break;
		case 91:
			keyName = 'Win';
			break;
		case 20:
			keyName = 'CapsLock';
			break;
		case 32:
			keyName = 'Space';
			break;
		case 33:
			keyName = 'Page Up';
			break;
		case 34:
			keyName = 'Page Down';
			break;
		case 35:
			keyName = 'End';
			break;
		case 36:
			keyName = 'Home';
			break;
		case 37:
			keyName = 'Left';
			break;
		case 38:
			keyName = 'Up';
			break;
		case 39:
			keyName = 'Right';
			break;
		case 40:
			keyName = 'Down';
			break;
		case 45:
			keyName = 'Insert';
			break;
		case 46:
			keyName = 'Delete';
			break;
		case 144:
			keyName = 'Num Lock';
			break;
		case 111:
			keyName = 'Num /';
			break;
		case 106:
			keyName = 'Num *';
			break;
		case 107:
			keyName = 'Num +';
			break;
		case 109:
			keyName = 'Num -';
			break;
		case 13:
			keyName = 'Enter';
			break;
		case 110:
			keyName = 'Num .';
			break;
		case 27:
			keyName = 'Esc';
			break;
		case 192:
			keyName = '`';
			break;
		case 189:
			keyName = '-';
			break;
		case 187:
			keyName = '=';
			break;
		case 219:
			keyName = '[';
			break;
		case 221:
			keyName = ']';
			break;
		case 220:
			keyName = '\\';
			break;
		case 186:
			keyName = ';';
			break;
		case 222:
			keyName = "'";
			break;
		case 188:
			keyName = ',';
			break;
		case 190:
			keyName = '.';
			break;
		case 191:
			keyName = '/';
			break;
		case 8:
			keyName = 'BackSpace';
			break;
		case 44:
			keyName = 'PrintScreen';
			break;
		case 145:
			keyName = 'ScrollLock';
			break;
		case 19:
			keyName = 'Pause';
			break;
		case 93:
			keyName = 'Menu';
			break;
		default :
			keyName = String.fromCharCode(e.keyCode);
			break;
	}

	if (e.type == 'mousedown' || e.type == 'mouseup') {
		switch (e.button) {
			case 0:
				keyName = sInfo['leftkey'];
				e.keyCode = 1;
				break;
			case 1:
				keyName = sInfo['middlekey'];
				e.keyCode = 4;
				break;
			case 2:
				keyName = sInfo['rightkey'];
				e.keyCode = 2;
				break;
		}
	}

	return {'keyCode':e.keyCode,'keyName':keyName,'delayTime':delayTime};
}


var time = 0;
function GetMouseKeyObj(e)
{
	var delayTime = time == 0 ?0:e.timeStamp - time;
	time = e.timeStamp;

	switch(e.button)
	{
		case 0:
		{
			var keyName = '左键';
		}
		break;
		case 2:
		{
			var keyName = '右键';
		}
		break;
		case 1:
		{
			var keyName = '中键';
		}
		break;
	}

	return {'keyCode':e.button,'keyName':keyName,'delayTime':delayTime};
}

var isEqDirection = false;
var scrollData    = 0;
function GetMouseWheelObj(e)
{
	var delayTime = time == 0 ?0:e.timeStamp - time;
	time = e.timeStamp;

	switch(e.wheelDelta)
	{
		case 120:
		{
			var keyName = '上滚动';
		}
		break;
		case -120:
		{
			var keyName = '下滚动';
		}
		break;
	}

	isEqDirection = e.wheelDelta / scrollData == 3;
	scrollData    = e.wheelDelta;

	return isEqDirection ? null : {'keyCode':e.wheelDelta,'keyName':keyName,'delayTime':delayTime};
}

// 键盘按下回车的时候让自己失去焦点
function KeydownBlur(e)
{
	if(e.keyCode==13)
	{
		e.stopPropagation();
		this.blur();
	}
}
// input标签只能输入数字
function input_number(){this.value=parseInt(this.value)||0}

// input标签只能输入数字
function InputNumber()
{
	var value = parseInt(this.value)
	if(value == 0)
	{
		this.value
	}
	else
	{
		this.value=value||''
	}
}

//数字限制60000
function RestrictionMaxNumber()
{
	if(this.value>60000)
	{
		this.value = 60000;
	}
}

//数字限制1
function RestrictionMinNumber()
{
	if(this.value=='0' || this.value=='')
	{
		this.value=0
	}
}

function getQueryStringArgs()
{
    var qs = (location.search.length > 0 ? location.search.substring(1) : ""),

	    args = {},

	    items = qs.length ? qs.split("&") : [],
	    item = null,
	    name = null,
	    value = null,

	    i = 0,
	    len = items.length;

    for (i = 0; i < len; i++)
    {
        item = items[i].split("=");
        name = decodeURIComponent(item[0]);
        value = decodeURIComponent(item[1]);

        if (name.length)
        {
        	if (value === 'true') value = true;
        	if (value === 'false') value = false;

            args[name] = value;
        }
    }

    return args;
}

function GetEddModeTask($obj)
{
	return DelHtmlTag($obj);
}

function GetRecModeTask($obj)
{
	var commandsTask = "";
	$obj.each(function(index)
	{
		var item = $(this).attr("data-item");
		commandsTask += item

	});

	//commandsTask = DelHtmlTag(commandsTask);

	return commandsTask;
}

//去掉所有的html标记
function DelHtmlTag(Str)
{
	Str = Str.replace(/<[^>]+>/g,"");
	Str = Str.replace(/\n/g,"");

	return Str;
}

//保存客户端相关
function SaveClientConf()
{
	localStorage.setItem('ClientDefautConf',JSON.stringify(ClientDefautConf));
}

//保存配置到云端
function SaveCloudConf(AttrItem)
{
	CloudQuery(ConfigureSaveApi,AttrItem,function(){

				ShowMsg("保存成功");
	});
}

//保存配置到云端
function DelCloudConfigure(Key,ConfId)
{
	var Querydata = "parent=" + ConfId
					+"&button="+ Key;
	HttpQuery(ConfigureDeleteApi,Querydata);
}

function HttpQuery(Url,Querydata,Callback,Type,DataType)
{
	Type 		= Type || "POST";
	DataType 	= DataType || 'json';

	$.ajax
	({
		cache: true,
		type: Type,
		url: encodeURI(Url),
		async: true,
		dataType: DataType,
		data: Querydata,
		error: function(request)
		{
			log("HttpQuery Error")
		},
		success: function(data)
		{
			if(Callback) Callback(data);
		}
	});
}

function SendQuery(Url, QueryData, Callback, Type, DataType)
{
	Type 	 = Type || 'POST';
	DataType = DataType || 'json';

	$.ajax
	({
		cache	: true,
		type	: Type,
		url		: encodeURI(Url),
		contentType: 'application/json;charset=UTF-8',
		dataType: DataType,
		data	: JSON.stringify(QueryData),
		processData: false,
		error	: function(request)
		{
			log("HttpQuery Error")
		},
		success : function(data)
		{
			if(data.code == 0)
			{
				if (Callback) Callback(data.ret);
			}
			else
			{
				if (Callback) Callback(data);
			}
		}
	});
}

function CloudQuery(Url, QueryData, Callback, Type, DataType)
{
	Type 	 = Type || 'POST';
	DataType = DataType || 'json';

	$.ajax
	({
		cache	: true,
		type	: Type,
		url		: encodeURI(Url),
		async	: true,
		dataType: DataType,
		data	: QueryData,
		error	: function(request)
		{
			log("HttpQuery Error")
		},
		success : function(data)
		{
			if(data.code == 0)
			{
				if (Callback) Callback(data.ret);
			}
			else
			{
				log(data.msg);
			}
		}
	});
}

function ToggleShow($ObjDom)
{
	$ObjDom.toggle(function(){

			$(this).addClass("on");

		},function(){

			$(this).removeClass("on");
	});
}

function Html5UploadFile(ObjDom,callback,Type)
{
	var UploadObj = $(ObjDom).get(0).files[0];
	log(UploadObj);

	if(UploadObj.size > 2097152)
	{
		layer.msg('上传文件大小必须小于2M', {time:1500});
		return false;
	}

	if(Type == "image" && (UploadObj.type != "image/png" && UploadObj.type != "image/jpg" && UploadObj.type != "image/jpeg" && UploadObj.type != "image/gif"))
	{
		layer.msg('上传文件类型错误!', {time: 1500});
		return false;
	}


	var FileData = new FormData();
	FileData.append("upload", 1);
	FileData.append("filename", UploadObj);
    $.ajax({
        type: "POST",
        url: FileUploadApi,
        cache: false,
        processData: false,
		contentType: false,
		dataType:"json",
		data: FileData,
        success: function(data)
        {
            callback(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown)
        {
            log("上传失败，请检查网络后重试");
        }
    });
}

function GetDpiValue(val)
{
	var value = Math.ceil(val/50).toString(16);
	var data =
	{
		'g_value':'00',
		'd_value':'00'
	};

	if(value.length >= 3)
	{
		data.g_value = value.substr(0,1);
		data.d_value = value.substr(1);
	}
	else
	{
		data.g_value = '00';
		data.d_value = value==1?2:value;
	}

	return data;
}

/**
 * 转换字符串数字16进制
 * str  STRING 字符串数字
 *
**/
function GetInt16(str)
{
	var num = parseInt(str);
	var f16	= num.toString(16);
	if(num <= 15)
	{
		f16 =  '0' + f16;
	}
	return f16;
}

// 将一定长度的16进制转换为数组
function int16_arr(str){
	if(str.length%2)
	str='0'+str
	
	var arr=[]

	for(var i=0;i<str.length;i+=2){
		arr.push(str.slice(i,i+2))
	}

	return arr
}

// 给转成16进制的颜色补零
function int16Add0(str){
	if(str.length==1){
		return '0'+str
	}
	
	return str
}

// 给传入的数组补0到一定数量
function add_0x00(arr,length){
	for(var i=arr.length-1;i<length-1;i++){
		arr.push(0)
	}

	return arr
}

/**
 * 自动补齐硬件写入数据长度
 * data  Array 硬件数据数组
 * leg   INT 实际数据长度
**/
function formatCode(data,leg)
{
	data = data.join(',');
	data = data.split(',');

	var remainder = leg - data.length;
	for(var i=0;i < remainder;i++)
	{
		data.push('0x00');
	}
	return data.join(',');
}

//客户端功能
function GetClientConf()
{
	var ClientConf 		= localStorage.getItem("ClientDefautConf");
	if(ClientConf)
	{
		return JSON.parse(ClientConf);
	}

	localStorage.setItem("ClientDefautConf",JSON.stringify(ClientDefautConf));
	return ClientDefautConf;
}

function CheckUserLogin()
{
	if (getHttpCookiesValue("email"))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function getHttpCookiesValue(name)
{
    var value = $.cookie(name);

    if (!value) return '';

    var arr = value.split(";");

	if (arr.length == 1) return '';

    var str = arr[arr.length - 2];
    var tmp = str.split(':');

	if (tmp.length == 1) return '';

    var val = tmp[2].substr(1, tmp[1]);

    return val;
}

/**
 *
 * @param type macro/macros
 * @param name
 * @param command
 * @param playMode |3|1|20   /   3
 * @param callback
 // * @constructor
 */
function exportMacro(type, name, command, playMode, callback)
{
	var data = {
	    type: type,
        name: name,
        command: command,
        playMode: playMode
    };

    SaveFile(JSON.stringify(data), callback);
}

function formatDate(timestamp)
{
	var date = timestamp ? new Date(timestamp * 1000) : new Date();
	var y = date.getFullYear();
	var m = (date.getMonth() + 1).formatTwo();
	var d = date.getDate().formatTwo();

	return y + '-' + m + '-' + d;
}

function formatTime(timestamp, full) 
{
	var date = timestamp != 0 ? new Date(timestamp * 1000) : new Date();
	var h = date.getHours().formatTwo();
	var m = date.getMinutes().formatTwo();
	var s = date.getSeconds().formatTwo();

	return h + ':' + m + (full ? ':' + s : '');
}

Number.prototype.formatTwo = function()
{
    return this < 10 ? '0' + this : this;
};

// json和字符串转换
function json_str(json){	return JSON.stringify(json)		}
function str_json(str){		return JSON.parse(str)			}

function getLocalItem(name)
{
	var object = localStorage.getItem(name);

	return object ? str_json(object) : false;
}

function getLocalObject(name, arr)
{
    var object = localStorage.getItem(name);

    object = object || (arr ? '[]' : '{}');

    return str_json(object);
}

function setLocalObject(name, object)
{
    localStorage.setItem(name, json_str(object));
}

function getLocalLight(device, index)
{
    var light = [];
    var lights = getLocalObject(device + '_lights', true);

    lights.forEach(function (e) {
        if (e.index === index) {
            light = e.keys;
        }
    });
    return light;
}

function hexToRgba(hex, opacity) {
	return "rgba(" + parseInt("0x" + hex.substr(0, 2)) + "," + parseInt("0x" + hex.substr(2, 2)) + "," + parseInt("0x" + hex.substr(4, 2)) + "," + opacity + ")";
}

// 键盘按下回车的时候让自己失去焦点
function keyDown_blur(e){if(e.keyCode==13){e.stopPropagation();this.blur()}}

// 三角函数，根据x，y（鼠标现在的位置预设距离圆心的距离）来计算角度
function atan(x,y){
	if(!y){
		if(x>0)	return 90
			return 270
	}

	if(x>=0){
		if(y<=0)
			return 0-Math.atan(x/y)/Math.PI*180
			return 180-Math.atan(x/y)/Math.PI*180
	}
		if(y<=0)
			return 360-Math.atan(x/y)/Math.PI*180
			return 180-Math.atan(x/y)/Math.PI*180
}

// 判断当前节点是否包含其他节点
Element.prototype.hasEl=function (el) 
{
	return this.compareDocumentPosition(el)==20
}

function getLayerLoad() {
	return layer.load(3, {shade: [0.4, '#000'], shadeClose: true, skin: 'loading-class', content: '<b></b><b></b><b></b><b></b><b></b><b></b><b></b><b></b>'});
}

function getMaxIndex(macros) {
	let index = 0;

	macros.forEach(item => {
		if (item.index > index) index = parseInt(item.index);
	});

	index++;

	return index;
}

//全局初始化
$(function(){

	// 修复textarea设置placeholder时的bug
	$('textarea')
	.focus(function () {
		this.pl=$(this).attr('placeholder')
		$(this).attr('placeholder','')
	})
	.blur(function () {
		if(this.pl)
		$(this).attr('placeholder',this.pl)
	});

	$('.win_min>[min]').click(function() {MinisizeWindow();});
});


/**************	ES6 ***************/
async function httpRequest(Url, QueryData, Type, DataType)
{
	Type 	 = Type || 'POST';
	DataType = DataType || 'json';

	var result;

	await $.ajax
	({
		cache	: true,
		type	: Type,
		url		: encodeURI(Url),
		async	: true,
		dataType: DataType,
		data	: QueryData,
		error	: function(request)
		{
			log("HttpQuery Error")
		},
		success : function(data)
		{
			result = data;
		}
	});

	return result;
}

async function getMacros()
{
	let data = [];

	if (CheckUserLogin()) {
		let res = await httpRequest('http://client.longeplay.cn//user/my-commands');

		if (res.code == 0) {
			data = res.ret;
		}
	}

	var macros = localStorage.getItem('macros');

    if (macros) {
        data = data.concat(JSON.parse(macros));
	}

	return data;
}

function checkBbsLogin()
{
	var token = localStorage.getItem('access_token');

	return token ? true : false;
}

function IntMacroView(Content) {
	var MacroItem = {};
	var Mach = getMacroMach(Content);
	var AccHTML = '';
	var EddHTML = '';

	for (var i in Mach) {
		var ItemMach = Mach[i].match(/([^\(].*)\((.*)\)/);
		var KeyType = '';

		if ((ItemMach[1].indexOf('鼠标按下')) == 0) {
			AccHTML += `<li key_type="mousedown" data-item="鼠标按下(${ItemMach[2]})">${sInfo['mousedown']}(${ItemMach[2]})</li>`;
		} else if ((ItemMach[1].indexOf('鼠标弹起')) == 0) {
			AccHTML += `<li key_type="mouseup" data-item="鼠标弹起(${ItemMach[2]})">${sInfo['mouseup']}(${ItemMach[2]})</li>`;
		} else if ((ItemMach[1].indexOf('键盘按下')) == 0) {
			AccHTML += `<li key_type="keydown" data-item="键盘按下(${ItemMach[2]})">${sInfo['keydown']}(${ItemMach[2]})</li>`;
		} else if ((ItemMach[1].indexOf('键盘弹起')) == 0) {
			AccHTML += `<li key_type="keyup" data-item="键盘弹起(${ItemMach[2]})">${sInfo['keyup']}(${ItemMach[2]})</li>`;
		} else if ((ItemMach[1].indexOf('下滚动')) == 0) {
			MacroItem =
			{
				"Type": "WheelDown",
				"Val": ItemMach[2],
			}
		}
		else if ((ItemMach[1].indexOf('上滚动')) == 0) {
			MacroItem =
			{
				"Type": "WheelUp",
				"Val": ItemMach[2],
			}
		}
		else if ((ItemMach[1].indexOf('绝对定位XY')) == 0) {
			var XY = ItemMach[2].split(",");
			MacroItem =
			{
				"Type": "AbsoluteXY",
				"X": XY[0],
				"Y": XY[1]
			}
			AccHTML += `<li key_type="absoluteXY" data-item="绝对定位XY(${ItemMach[2]})">${sInfo['absoluteXY']}(${ItemMach[2]})</li>`;
		}
		else if ((ItemMach[1].indexOf('相对定位XY')) == 0) {
			var XY = ItemMach[2].split(",");
			MacroItem =
			{
				"Type": "RelativeXY",
				"X": XY[0],
				"Y": XY[1]
			}
			AccHTML += `<li key_type="relativeXY" data-item="相对定位XY(${ItemMach[2]})">${sInfo['relativeXY']}(${ItemMach[2]})</li>`;
		}
		else if ((ItemMach[1].indexOf('弹道压枪XY')) == 0) {
			var XY = ItemMach[2].split(",");
			MacroItem =
			{
				"Type": "SpearXY",
				"X": XY[0],
				"Y": XY[1]
			}
		}
		else if ((ItemMach[1].indexOf('向右上角修正')) == 0) {
			var XY = ItemMach[2].split(",");
			MacroItem =
			{
				"Type": "SpearRT",
				"X": XY[0],
				"Y": XY[1]
			}
		}
		else if ((ItemMach[1].indexOf('向左下角修正')) == 0) {
			var XY = ItemMach[2].split(",");
			MacroItem =
			{
				"Type": "SpearLB",
				"X": XY[0],
				"Y": XY[1]
			}
		}
		else if ((ItemMach[1].indexOf('压枪高度')) == 0) {
			var XY = ItemMach[2].split(",");
			MacroItem =
			{
				"Type": "Spear",
				"X": XY[0],
				"Y": XY[1]
			}
		}
		else if ((ItemMach[1].indexOf('延迟')) == 0) {
			AccHTML += `<li key_type="time" data-item="延迟(${ItemMach[2]})">${sInfo['delay']}(<span>${ItemMach[2]}</span>) ms</li>`;
		}

		EddHTML += Mach[i]+"\n";
	}

	$(".hong_cont>ul>ul").html(AccHTML);
	$('.hong_cont>textarea, .edit-macro>textarea').val(EddHTML);
}

function getMacroMach(Content) {
	return Content.match(/([^()]*)\([^()]*\)/g);
}