
$(function(){

	$("#login_in").validate({
		onsubmit:true,
		rules:
		{
			username: {required:true},
			password:{required:true},
		},
		messages:
		{
			username:{required:'请输入用户名'},
			password:{required:'请输入密码'},
		},
		// the errorPlacement has to take the layout into account
		errorPlacement: function(error, element)
		{
			if(error.html() != '')
			{
				log(element);
				// var obj = "input[name="+$(element).attr("name")+"]";
				// $(obj).parent().addClass("bad");
				// $(obj).parent().find("p").html(error.html());
			}
		},
		// specifying a submitHandler prevents the default submit, good for the demo
		submitHandler: function()
		{
			$.ajax({
					cache: true,
					type: "POST",
					url:LoginApi,
					data:$('#login_in').serialize(),
					async: true,
					dataType:"json",
					error: function(request)
					{
						$("#user_name").addClass("error");
						$("#user_pass").addClass("error");
						layer.msg('未知错误', {time: 1700});
					},
					success: function(data)
					{
						var LoginObj = data;
						if(LoginObj.code == 0 )
						{
							$.cookie('logining',1);
							CloseWindow();
						}
						else
						{
							$("#user_name").addClass("error");
							$("#user_pass").addClass("error");
							layer.msg('用户名或密码错误', {time: 1700});
						}
					}
			});
		},
		success: function(label) {

			var obj = "input[name="+label[0].htmlFor+"]";
			$(obj).parent().removeClass("bad");
			$(obj).parent().addClass("good");
			$(obj).parent().find("p").html('');
		}
	});

	ToggleShow($("#auto_login"));
});