$.fn.extend({
    dragging: function (options, CallBackFunc) 
    {
        var isDrag = function (ele, options) 
        {
            var offset = 0, isDraging = false, value = 50, obj = ele, parameters = options;
            var pa = obj.parent().hasClass('curbar') ? obj.parent().parent() : obj.parent();
            var playing ;            
            var isPlay = pa.attr('player-bar') != undefined;

            obj.mousedown(function (e) 
            {
                playing = $MusicPlaying.data('index') != undefined;
                if (isPlay && !playing) return;

                e = e || window.e;
                var cc = obj.position().left;
                isDraging = true;
                Draging = true;

                var width = pa.find("div.curbar").width();
                var startX =  e.clientX - width;
                e.preventDefault();

                $(document).on('mousemove', function (e) 
                {
                    if (isDraging) 
                    {
                        e = e || window.e;
                        offset = e.clientX - startX;
                        var maxWidth = pa.outerWidth() //- (obj.width() / 2);

                        if (offset <= 0) 
                        {
                            offset = 0;
                        }
                        else if (offset >= maxWidth) 
                        {
                            offset = maxWidth;
                        }

                        if (CallBackFunc) window[CallBackFunc](offset);
                    }
                });

                $(document).on('mouseup', function () 
                {
                    if (isDraging) 
                    {
                        if (CallBackFunc) window[CallBackFunc]();
                        isDraging = false;
                        Draging = false;
                    }

                    $(document).off('mousemove');
                    $(document).off('mouseup');
                });
            })
            .click(function(e) {
                e.stopPropagation();
            });

            pa.click(function(e) {
                playing = $MusicPlaying.data('index') != undefined;

                if (isPlay && !playing) return;

                let left = e.clientX - pa.offset().left;

                window[CallBackFunc](left);

                if (CallBackFunc) window[CallBackFunc]();
            });
        };

        return $(this).each(function () 
        {
            isDrag($(this), options);
        });
    }
});